;******************************************************************************
;*
;* License Applicability. Except To the extent portions of this file are
;* made subject To an alternative license as permitted in the SGI Free
;* Software License B, Version 1.1 (the "License"), the contents of this
;* file are subject only To the provisions of the License. You may not use
;* this file except in compliance with the License. You may obtain a copy
;* of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
;* Amphitheatre Parkway, Mountain View, CA 94043-1351, Or at:
;*
;* http://oss.sgi.com/projects/FreeB
;*
;* Note that, as provided in the License, the Software is distributed on an
;* "AS IS" basis, with ALL EXPRESS And IMPLIED WARRANTIES And CONDITIONS
;* DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES And
;* CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS For A
;* PARTICULAR PURPOSE, And NON-INFRINGEMENT.
;*
;* Original Code. The Original Code is: OpenGL Sample Implementation,
;* Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
;* Inc. The Original Code is Copyright (c) 1991-2004 Silicon Graphics, Inc.
;* Copyright in any portions created by third parties is as indicated
;* elsewhere herein. All Rights Reserved.
;*
;* Additional Notice Provisions: This software was created using the
;* OpenGL(R) version 1.2.1 Sample Implementation published by SGI, but has
;* not been independently verified as being compliant with the OpenGL(R)
;* version 1.2.1 Specification.
;*
;******************************************************************************
;*
;* ADDENDUM by alias Escobar.
;*
;* Date: 19/09/2004
;* File Name: glext.h
;*
;* This is a converted glext.h -headerfile for Pure Basic. Convertion done
;* using the 'Header Converter(R)'-tool.
;*
;* This file contain declarations of constants for OpenGL versions 1.2-1.5
;* also known as OpenGL-exstensions.
;*
;* Changes:
;* Made some "cosmetic" changes only and I haven't tested this file yet.
;*
;* You might have to change the 'windows.pb'- and 'stddef.pb'-include paths to
;* make it work but that should be all. Good luck!
;*
;* *!!NO GUARANTEES!!* ARE GIVEN, SO USE IT AT YOUR OWN RISK.
;*
;******************************************************************************

Prototype.l glDeleteObjectARB_(obj.l)
Prototype.l glGetHandleARB_(pname.l)
Prototype.l glDetachObjectARB_(containerObj.l, attachedObj.l)
Prototype.l glCreateShaderObjectARB_(shaderType.l)
Prototype.l glShaderSourceARB_(shaderObj.l, count.l, *stringpointer.LONG, *length.l)
Prototype.l glCompileShaderARB_(shaderObj.l)
Prototype.l glCreateProgramObjectARB_()
Prototype.l glAttachObjectARB_(containerObj.l, obj.l)
Prototype.l glLinkProgramARB_(programObj.l)
Prototype.l glUseProgramObjectARB_(programObj.l)
Prototype.l glValidateProgramARB_(programObj.l)
Prototype.l glUniform1fARB_(location.l, v0.f)
Prototype.l glUniform2fARB_(location.l, v0.f, v1.f)
Prototype.l glUniform3fARB_(location.l, v0.f, v1.f, v2.f)
Prototype.l glUniform4fARB_(location.l, v0.f, v1.f, v2.f, v3.f)
Prototype.l glUniform1iARB_(location.l, v0.l)
Prototype.l glUniform2iARB_(location.l, v0.l, v1.l)
Prototype.l glUniform3iARB_(location.l, v0.l, v1.l, v2.l)
Prototype.l glUniform4iARB_(location.l, v0.l, v1.l, v2.l, v3.l)
Prototype.l glUniform1fvARB_(location.l, count.l, *value.FLOAT)
Prototype.l glUniform2fvARB_(location.l, count.l, *value.FLOAT)
Prototype.l glUniform3fvARB_(location.l, count.l, *value.FLOAT)
Prototype.l glUniform4fvARB_(location.l, count.l, *value.FLOAT)
Prototype.l glUniform1ivARB_(location.l, count.l, *value.LONG)
Prototype.l glUniform2ivARB_(location.l, count.l, *value.LONG)
Prototype.l glUniform3ivARB_(location.l, count.l, *value.LONG)
Prototype.l glUniform4ivARB_(location.l, count.l, *value.LONG)
Prototype.l glUniformMatrix2fvARB_(location.l, count.l, transpose, *value.FLOAT)
Prototype.l glUniformMatrix3fvARB_(location.l, count.l, transpose, *value.FLOAT)
Prototype.l glUniformMatrix4fvARB_(location.l, count.l, transpose, *value.FLOAT)
Prototype.l glGetObjectParameterfvARB_(obj.l, pname.l, *value.FLOAT)
Prototype.l glGetObjectParameterivARB_(obj.l, pname.l, *value.LONG)
Prototype.l glGetInfoLogARB_(obj.l, maxLength.l, *length.LONG, *infoLog.STRING)
Prototype.l glGetAttachedObjectsARB_(containerObj.l, maxCount.l, *count.LONG, *obj)
Prototype.l glGetUniformLocationARB_(programObj.l, *name.STRING)
Prototype.l glGetActiveUniformARB_(programObj.l, index.l, maxLength.l, *length.LONG, *size.LONG, *type, *name)
Prototype.l glGetUniformfvARB_(programObj.l, location.l, *params.FLOAT)
Prototype.l glGetUniformivARB_(programObj.l, location.l, *params.LONG)
Prototype.l glGetShaderSourceARB_(obj.l, maxLength.l, *length.LONG, *source.STRING)

Prototype.l glBindAttribLocationARB_(programObj.l, index.l, *name.STRING)
Prototype.l glGetActiveAttribARB_(programObj.l, index.l, maxLength.l, *length.LONG, *size.LONG, *type.LONG, *name.STRING)
Prototype.l glGetAttribLocationARB_(programObj.l, *name.STRING)

Global glDeleteObject_.glDeleteObjectARB_
Global glGetHandle_.glGetHandleARB_
Global glDetachObject_.glDetachObjectARB_
Global glCreateShaderObject_.glCreateShaderObjectARB_
Global glShaderSource_.glShaderSourceARB_
Global glCompileShader_.glCompileShaderARB_
Global glCreateProgramObject_.glCreateProgramObjectARB_
Global glAttachObject_.glAttachObjectARB_
Global glLinkProgram_.glLinkProgramARB_
Global glUseProgramObject_.glUseProgramObjectARB_
Global glValidateProgram_.glValidateProgramARB_
Global glUniform1f_.glUniform1fARB_
Global glUniform2f_.glUniform2fARB_
Global glUniform3f_.glUniform3fARB_
Global glUniform4f_.glUniform4fARB_
Global glUniform1i_.glUniform1iARB_
Global glUniform2i_.glUniform2iARB_
Global glUniform3i_.glUniform3iARB_
Global glUniform4i_.glUniform4iARB_
Global glUniform1fv_.glUniform1fvARB_
Global glUniform2fv_.glUniform2fvARB_
Global glUniform3fv_.glUniform3fvARB_
Global glUniform4fv_.glUniform4fvARB_
Global glUniform1iv_.glUniform1ivARB_
Global glUniform2iv_.glUniform2ivARB_
Global glUniform3iv_.glUniform3ivARB_
Global glUniform4iv_.glUniform4ivARB_
Global glUniformMatrix2fv_.glUniformMatrix2fvARB_
Global glUniformMatrix3fv_.glUniformMatrix3fvARB_
Global glUniformMatrix4fv_.glUniformMatrix4fvARB_
Global glGetObjectParameterfv_.glGetObjectParameterfvARB_
Global glGetObjectParameteriv_.glGetObjectParameterivARB_
Global glGetInfoLog_.glGetInfoLogARB_
Global glGetAttachedObjects_.glGetAttachedObjectsARB_
Global glGetUniformLocation_.glGetUniformLocationARB_
Global glGetActiveUniform_.glGetActiveUniformARB_
Global glGetUniformfv_.glGetUniformfvARB_
Global glGetUniformiv_.glGetUniformivARB_
Global glGetShaderSource_.glGetShaderSourceARB_
Global glBindAttribLocation_.glBindAttribLocationARB_
Global glGetActiveAttrib_.glGetActiveAttribARB_
Global glGetAttribLocation_.glGetAttribLocationARB_

Procedure InitGLSLShader()
  glDeleteObject_ = wglGetProcAddress_("glDeleteObjectARB")
  glGetHandle_ = wglGetProcAddress_("glGetHandleARB")
  glDetachObject_ = wglGetProcAddress_("glDetachObjectARB")
  glCreateShaderObject_ = wglGetProcAddress_("glCreateShaderObjectARB")
  glShaderSource_ = wglGetProcAddress_("glShaderSourceARB")
  glCompileShader_ = wglGetProcAddress_("glCompileShaderARB")
  glCreateProgramObject_ = wglGetProcAddress_("glCreateProgramObjectARB")
  glAttachObject_ = wglGetProcAddress_("glAttachObjectARB")
  glLinkProgram_ = wglGetProcAddress_("glLinkProgramARB")
  glUseProgramObject_ = wglGetProcAddress_("glUseProgramObjectARB")
  glValidateProgram_ = wglGetProcAddress_("glValidateProgramARB")
  glUniform1f_ = wglGetProcAddress_("glUniform1fARB")
  glUniform2f_ = wglGetProcAddress_("glUniform2fARB")
  glUniform3f_ = wglGetProcAddress_("glUniform3fARB")
  glUniform4f_ = wglGetProcAddress_("glUniform4fARB")
  glUniform1i_ = wglGetProcAddress_("glUniform1iARB")
  glUniform2i_ = wglGetProcAddress_("glUniform2iARB")
  glUniform3i_ = wglGetProcAddress_("glUniform3iARB")
  glUniform4i_ = wglGetProcAddress_("glUniform4iARB")
  glUniform1fv_ = wglGetProcAddress_("glUniform1fvARB")
  glUniform2fv_ = wglGetProcAddress_("glUniform2fvARB")
  glUniform3fv_ = wglGetProcAddress_("glUniform3fvARB")
  glUniform4fv_ = wglGetProcAddress_("glUniform4fvARB")
  glUniform1iv_ = wglGetProcAddress_("glUniform1ivARB")
  glUniform2iv_ = wglGetProcAddress_("glUniform2ivARB")
  glUniform3iv_ = wglGetProcAddress_("glUniform3ivARB")
  glUniform4iv_ = wglGetProcAddress_("glUniform4ivARB")
  glUniformMatrix2fv_ = wglGetProcAddress_("glUniformMatrix2fvARB")
  glUniformMatrix3fv_ = wglGetProcAddress_("glUniformMatrix3fvARB")
  glUniformMatrix4fv_ = wglGetProcAddress_("glUniformMatrix4fvARB")
  glGetObjectParameterfv_ = wglGetProcAddress_("glGetObjectParameterfvARB")
  glGetObjectParameteriv_ = wglGetProcAddress_("glGetObjectParameterivARB")
  glGetInfoLog_ = wglGetProcAddress_("glGetInfoLogARB")
  glGetAttachedObjects_ = wglGetProcAddress_("glGetAttachedObjectsARB")
  glGetUniformLocation_ = wglGetProcAddress_("glGetUniformLocationARB")
  glGetActiveUniform_ = wglGetProcAddress_("glGetActiveUniformARB")
  glGetUniformfv_ = wglGetProcAddress_("glGetUniformfvARB")
  glGetUniformiv_ = wglGetProcAddress_("glGetUniformivARB")
  glGetShaderSource_ = wglGetProcAddress_("glGetShaderSourceARB")
  glBindAttribLocation_ = wglGetProcAddress_("glBindAttribLocationARB")
  glGetActiveAttrib_ = wglGetProcAddress_("glGetActiveAttribARB")
  glGetAttribLocation_ = wglGetProcAddress_("glGetAttribLocationARB")
EndProcedure

#GL_VERSION_1_2 = 1
#GL_VERSION_1_3 = 1
#GL_VERSION_1_4 = 1
#GL_VERSION_1_5 = 1

;*********** GL_VERSION_1_2 ***********

#GL_UNSIGNED_BYTE_3_3_2 = $8032
#GL_UNSIGNED_SHORT_4_4_4_4 = $8033
#GL_UNSIGNED_SHORT_5_5_5_1 = $8034
#GL_UNSIGNED_INT_8_8_8_8 = $8035
#GL_UNSIGNED_INT_10_10_10_2 = $8036
#GL_RESCALE_NORMAL = $803A
#GL_TEXTURE_BINDING_3D = $806A
#GL_PACK_SKIP_IMAGES = $806B
#GL_PACK_IMAGE_HEIGHT = $806C
#GL_UNPACK_SKIP_IMAGES = $806D
#GL_UNPACK_IMAGE_HEIGHT = $806E
#GL_TEXTURE_3D = $806F
#GL_PROXY_TEXTURE_3D = $8070
#GL_TEXTURE_DEPTH = $8071
#GL_TEXTURE_WRAP_R = $8072
#GL_MAX_3D_TEXTURE_SIZE = $8073
#GL_UNSIGNED_BYTE_2_3_3_REV = $8362
#GL_UNSIGNED_SHORT_5_6_5 = $8363
#GL_UNSIGNED_SHORT_5_6_5_REV = $8364
#GL_UNSIGNED_SHORT_4_4_4_4_REV = $8365
#GL_UNSIGNED_SHORT_1_5_5_5_REV = $8366
#GL_UNSIGNED_INT_8_8_8_8_REV = $8367
#GL_UNSIGNED_INT_2_10_10_10_REV = $8368
#GL_BGR = $80E0
#GL_BGRA = $80E1
#GL_MAX_ELEMENTS_VERTICES = $80E8
#GL_MAX_ELEMENTS_INDICES = $80E9
#GL_CLAMP_TO_EDGE = $812F
#GL_TEXTURE_MIN_LOD = $813A
#GL_TEXTURE_MAX_LOD = $813B
#GL_TEXTURE_BASE_LEVEL = $813C
#GL_TEXTURE_MAX_LEVEL = $813D
#GL_LIGHT_MODEL_COLOR_CONTROL = $81F8
#GL_SINGLE_COLOR = $81F9
#GL_SEPARATE_SPECULAR_COLOR = $81FA
#GL_SMOOTH_POINT_SIZE_RANGE = $0B12
#GL_SMOOTH_POINT_SIZE_GRANULARITY = $0B13
#GL_SMOOTH_LINE_WIDTH_RANGE = $0B22
#GL_SMOOTH_LINE_WIDTH_GRANULARITY = $0B23
#GL_ALIASED_POINT_SIZE_RANGE = $846D
#GL_ALIASED_LINE_WIDTH_RANGE = $846E


;*********** GL_ARB_imaging ***********

#GL_CONSTANT_COLOR = $8001
#GL_ONE_MINUS_CONSTANT_COLOR = $8002
#GL_CONSTANT_ALPHA = $8003
#GL_ONE_MINUS_CONSTANT_ALPHA = $8004
#GL_BLEND_COLOR = $8005
#GL_FUNC_ADD = $8006
#GL_MIN = $8007
#GL_MAX = $8008
#GL_BLEND_EQUATION = $8009
#GL_FUNC_SUBTRACT = $800A
#GL_FUNC_REVERSE_SUBTRACT = $800B
#GL_CONVOLUTION_1D = $8010
#GL_CONVOLUTION_2D = $8011
#GL_SEPARABLE_2D = $8012
#GL_CONVOLUTION_BORDER_MODE = $8013
#GL_CONVOLUTION_FILTER_SCALE = $8014
#GL_CONVOLUTION_FILTER_BIAS = $8015
#GL_REDUCE = $8016
#GL_CONVOLUTION_FORMAT = $8017
#GL_CONVOLUTION_WIDTH = $8018
#GL_CONVOLUTION_HEIGHT = $8019
#GL_MAX_CONVOLUTION_WIDTH = $801A
#GL_MAX_CONVOLUTION_HEIGHT = $801B
#GL_POST_CONVOLUTION_RED_SCALE = $801C
#GL_POST_CONVOLUTION_GREEN_SCALE = $801D
#GL_POST_CONVOLUTION_BLUE_SCALE = $801E
#GL_POST_CONVOLUTION_ALPHA_SCALE = $801F
#GL_POST_CONVOLUTION_RED_BIAS = $8020
#GL_POST_CONVOLUTION_GREEN_BIAS = $8021
#GL_POST_CONVOLUTION_BLUE_BIAS = $8022
#GL_POST_CONVOLUTION_ALPHA_BIAS = $8023
#GL_HISTOGRAM = $8024
#GL_PROXY_HISTOGRAM = $8025
#GL_HISTOGRAM_WIDTH = $8026
#GL_HISTOGRAM_FORMAT = $8027
#GL_HISTOGRAM_RED_SIZE = $8028
#GL_HISTOGRAM_GREEN_SIZE = $8029
#GL_HISTOGRAM_BLUE_SIZE = $802A
#GL_HISTOGRAM_ALPHA_SIZE = $802B
#GL_HISTOGRAM_LUMINANCE_SIZE = $802C
#GL_HISTOGRAM_SINK = $802D
#GL_MINMAX = $802E
#GL_MINMAX_FORMAT = $802F
#GL_MINMAX_SINK = $8030
#GL_TABLE_TOO_LARGE = $8031
#GL_COLOR_MATRIX = $80B1
#GL_COLOR_MATRIX_STACK_DEPTH = $80B2
#GL_MAX_COLOR_MATRIX_STACK_DEPTH = $80B3
#GL_POST_COLOR_MATRIX_RED_SCALE = $80B4
#GL_POST_COLOR_MATRIX_GREEN_SCALE = $80B5
#GL_POST_COLOR_MATRIX_BLUE_SCALE = $80B6
#GL_POST_COLOR_MATRIX_ALPHA_SCALE = $80B7
#GL_POST_COLOR_MATRIX_RED_BIAS = $80B8
#GL_POST_COLOR_MATRIX_GREEN_BIAS = $80B9
#GL_POST_COLOR_MATRIX_BLUE_BIAS = $80BA
#GL_POST_COLOR_MATRIX_ALPHA_BIAS = $80BB
#GL_COLOR_TABLE = $80D0
#GL_POST_CONVOLUTION_COLOR_TABLE = $80D1
#GL_POST_COLOR_MATRIX_COLOR_TABLE = $80D2
#GL_PROXY_COLOR_TABLE = $80D3
#GL_PROXY_POST_CONVOLUTION_COLOR_TABLE = $80D4
#GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE = $80D5
#GL_COLOR_TABLE_SCALE = $80D6
#GL_COLOR_TABLE_BIAS = $80D7
#GL_COLOR_TABLE_FORMAT = $80D8
#GL_COLOR_TABLE_WIDTH = $80D9
#GL_COLOR_TABLE_RED_SIZE = $80DA
#GL_COLOR_TABLE_GREEN_SIZE = $80DB
#GL_COLOR_TABLE_BLUE_SIZE = $80DC
#GL_COLOR_TABLE_ALPHA_SIZE = $80DD
#GL_COLOR_TABLE_LUMINANCE_SIZE = $80DE
#GL_COLOR_TABLE_INTENSITY_SIZE = $80DF
#GL_CONSTANT_BORDER = $8151
#GL_REPLICATE_BORDER = $8153
#GL_CONVOLUTION_BORDER_COLOR = $8154


;*********** GL_VERSION_1_3 ***********

#GL_TEXTURE0 = $84C0
#GL_TEXTURE1 = $84C1
#GL_TEXTURE2 = $84C2
#GL_TEXTURE3 = $84C3
#GL_TEXTURE4 = $84C4
#GL_TEXTURE5 = $84C5
#GL_TEXTURE6 = $84C6
#GL_TEXTURE7 = $84C7
#GL_TEXTURE8 = $84C8
#GL_TEXTURE9 = $84C9
#GL_TEXTURE10 = $84CA
#GL_TEXTURE11 = $84CB
#GL_TEXTURE12 = $84CC
#GL_TEXTURE13 = $84CD
#GL_TEXTURE14 = $84CE
#GL_TEXTURE15 = $84CF
#GL_TEXTURE16 = $84D0
#GL_TEXTURE17 = $84D1
#GL_TEXTURE18 = $84D2
#GL_TEXTURE19 = $84D3
#GL_TEXTURE20 = $84D4
#GL_TEXTURE21 = $84D5
#GL_TEXTURE22 = $84D6
#GL_TEXTURE23 = $84D7
#GL_TEXTURE24 = $84D8
#GL_TEXTURE25 = $84D9
#GL_TEXTURE26 = $84DA
#GL_TEXTURE27 = $84DB
#GL_TEXTURE28 = $84DC
#GL_TEXTURE29 = $84DD
#GL_TEXTURE30 = $84DE
#GL_TEXTURE31 = $84DF
#GL_ACTIVE_TEXTURE = $84E0
#GL_CLIENT_ACTIVE_TEXTURE = $84E1
#GL_MAX_TEXTURE_UNITS = $84E2
#GL_TRANSPOSE_MODELVIEW_MATRIX = $84E3
#GL_TRANSPOSE_PROJECTION_MATRIX = $84E4
#GL_TRANSPOSE_TEXTURE_MATRIX = $84E5
#GL_TRANSPOSE_COLOR_MATRIX = $84E6
#GL_MULTISAMPLE = $809D
#GL_SAMPLE_ALPHA_TO_COVERAGE = $809E
#GL_SAMPLE_ALPHA_TO_ONE = $809F
#GL_SAMPLE_COVERAGE = $80A0
#GL_SAMPLE_BUFFERS = $80A8
#GL_SAMPLES = $80A9
#GL_SAMPLE_COVERAGE_VALUE = $80AA
#GL_SAMPLE_COVERAGE_INVERT = $80AB
#GL_MULTISAMPLE_BIT = $20000000
#GL_NORMAL_MAP = $8511
#GL_REFLECTION_MAP = $8512
#GL_TEXTURE_CUBE_MAP = $8513
#GL_TEXTURE_BINDING_CUBE_MAP = $8514
#GL_TEXTURE_CUBE_MAP_POSITIVE_X = $8515
#GL_TEXTURE_CUBE_MAP_NEGATIVE_X = $8516
#GL_TEXTURE_CUBE_MAP_POSITIVE_Y = $8517
#GL_TEXTURE_CUBE_MAP_NEGATIVE_Y = $8518
#GL_TEXTURE_CUBE_MAP_POSITIVE_Z = $8519
#GL_TEXTURE_CUBE_MAP_NEGATIVE_Z = $851A
#GL_PROXY_TEXTURE_CUBE_MAP = $851B
#GL_MAX_CUBE_MAP_TEXTURE_SIZE = $851C
#GL_COMPRESSED_ALPHA = $84E9
#GL_COMPRESSED_LUMINANCE = $84EA
#GL_COMPRESSED_LUMINANCE_ALPHA = $84EB
#GL_COMPRESSED_INTENSITY = $84EC
#GL_COMPRESSED_RGB = $84ED
#GL_COMPRESSED_RGBA = $84EE
#GL_TEXTURE_COMPRESSION_HINT = $84EF
#GL_TEXTURE_COMPRESSED_IMAGE_SIZE = $86A0
#GL_TEXTURE_COMPRESSED = $86A1
#GL_NUM_COMPRESSED_TEXTURE_FORMATS = $86A2
#GL_COMPRESSED_TEXTURE_FORMATS = $86A3
#GL_CLAMP_TO_BORDER = $812D
#GL_COMBINE = $8570
#GL_COMBINE_RGB = $8571
#GL_COMBINE_ALPHA = $8572
#GL_SOURCE0_RGB = $8580
#GL_SOURCE1_RGB = $8581
#GL_SOURCE2_RGB = $8582
#GL_SOURCE0_ALPHA = $8588
#GL_SOURCE1_ALPHA = $8589
#GL_SOURCE2_ALPHA = $858A
#GL_OPERAND0_RGB = $8590
#GL_OPERAND1_RGB = $8591
#GL_OPERAND2_RGB = $8592
#GL_OPERAND0_ALPHA = $8598
#GL_OPERAND1_ALPHA = $8599
#GL_OPERAND2_ALPHA = $859A
#GL_RGB_SCALE = $8573
#GL_ADD_SIGNED = $8574
#GL_INTERPOLATE = $8575
#GL_SUBTRACT = $84E7
#GL_CONSTANT = $8576
#GL_PRIMARY_COLOR = $8577
#GL_PREVIOUS = $8578
#GL_DOT3_RGB = $86AE
#GL_DOT3_RGBA = $86AF


;*********** GL_VERSION_1_4 ***********

#GL_BLEND_DST_RGB = $80C8
#GL_BLEND_SRC_RGB = $80C9
#GL_BLEND_DST_ALPHA = $80CA
#GL_BLEND_SRC_ALPHA = $80CB
#GL_POINT_SIZE_MIN = $8126
#GL_POINT_SIZE_MAX = $8127
#GL_POINT_FADE_THRESHOLD_SIZE = $8128
#GL_POINT_DISTANCE_ATTENUATION = $8129
#GL_GENERATE_MIPMAP = $8191
#GL_GENERATE_MIPMAP_HINT = $8192
#GL_DEPTH_COMPONENT16 = $81A5
#GL_DEPTH_COMPONENT24 = $81A6
#GL_DEPTH_COMPONENT32 = $81A7
#GL_MIRRORED_REPEAT = $8370
#GL_FOG_COORDINATE_SOURCE = $8450
#GL_FOG_COORDINATE = $8451
#GL_FRAGMENT_DEPTH = $8452
#GL_CURRENT_FOG_COORDINATE = $8453
#GL_FOG_COORDINATE_ARRAY_TYPE = $8454
#GL_FOG_COORDINATE_ARRAY_STRIDE = $8455
#GL_FOG_COORDINATE_ARRAY_POINTER = $8456
#GL_FOG_COORDINATE_ARRAY = $8457
#GL_COLOR_SUM = $8458
#GL_CURRENT_SECONDARY_COLOR = $8459
#GL_SECONDARY_COLOR_ARRAY_SIZE = $845A
#GL_SECONDARY_COLOR_ARRAY_TYPE = $845B
#GL_SECONDARY_COLOR_ARRAY_STRIDE = $845C
#GL_SECONDARY_COLOR_ARRAY_POINTER = $845D
#GL_SECONDARY_COLOR_ARRAY = $845E
#GL_MAX_TEXTURE_LOD_BIAS = $84FD
#GL_TEXTURE_FILTER_CONTROL = $8500
#GL_TEXTURE_LOD_BIAS = $8501
#GL_INCR_WRAP = $8507
#GL_DECR_WRAP = $8508
#GL_TEXTURE_DEPTH_SIZE = $884A
#GL_DEPTH_TEXTURE_MODE = $884B
#GL_TEXTURE_COMPARE_MODE = $884C
#GL_TEXTURE_COMPARE_FUNC = $884D
#GL_COMPARE_R_TO_TEXTURE = $884E


;*********** GL_VERSION_1_5 ***********

#GL_BUFFER_SIZE = $8764
#GL_BUFFER_USAGE = $8765
#GL_QUERY_COUNTER_BITS = $8864
#GL_CURRENT_QUERY = $8865
#GL_QUERY_RESULT = $8866
#GL_QUERY_RESULT_AVAILABLE = $8867
#GL_ARRAY_BUFFER = $8892
#GL_ELEMENT_ARRAY_BUFFER = $8893
#GL_ARRAY_BUFFER_BINDING = $8894
#GL_ELEMENT_ARRAY_BUFFER_BINDING = $8895
#GL_VERTEX_ARRAY_BUFFER_BINDING = $8896
#GL_NORMAL_ARRAY_BUFFER_BINDING = $8897
#GL_COLOR_ARRAY_BUFFER_BINDING = $8898
#GL_INDEX_ARRAY_BUFFER_BINDING = $8899
#GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING = $889A
#GL_EDGE_FLAG_ARRAY_BUFFER_BINDING = $889B
#GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING = $889C
#GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING = $889D
#GL_WEIGHT_ARRAY_BUFFER_BINDING = $889E
#GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING = $889F
#GL_READ_ONLY = $88B8
#GL_WRITE_ONLY = $88B9
#GL_READ_WRITE = $88BA
#GL_BUFFER_ACCESS = $88BB
#GL_BUFFER_MAPPED = $88BC
#GL_BUFFER_MAP_POINTER = $88BD
#GL_STREAM_DRAW = $88E0
#GL_STREAM_READ = $88E1
#GL_STREAM_COPY = $88E2
#GL_STATIC_DRAW = $88E4
#GL_STATIC_READ = $88E5
#GL_STATIC_COPY = $88E6
#GL_DYNAMIC_DRAW = $88E8
#GL_DYNAMIC_READ = $88E9
#GL_DYNAMIC_COPY = $88EA
#GL_SAMPLES_PASSED = $8914
#GL_FOG_COORD_SRC = #GL_FOG_COORDINATE_SOURCE
#GL_FOG_COORD = #GL_FOG_COORDINATE
#GL_CURRENT_FOG_COORD = #GL_CURRENT_FOG_COORDINATE
#GL_FOG_COORD_ARRAY_TYPE = #GL_FOG_COORDINATE_ARRAY_TYPE
#GL_FOG_COORD_ARRAY_STRIDE = #GL_FOG_COORDINATE_ARRAY_STRIDE
#GL_FOG_COORD_ARRAY_POINTER = #GL_FOG_COORDINATE_ARRAY_POINTER
#GL_FOG_COORD_ARRAY = #GL_FOG_COORDINATE_ARRAY
#GL_FOG_COORD_ARRAY_BUFFER_BINDING = #GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING
#GL_SRC0_RGB = #GL_SOURCE0_RGB
#GL_SRC1_RGB = #GL_SOURCE1_RGB
#GL_SRC2_RGB = #GL_SOURCE2_RGB
#GL_SRC0_ALPHA = #GL_SOURCE0_ALPHA
#GL_SRC1_ALPHA = #GL_SOURCE1_ALPHA
#GL_SRC2_ALPHA = #GL_SOURCE2_ALPHA


;*********** GL_ARB_multitexture ***********

#GL_TEXTURE0_ARB = $84C0
#GL_TEXTURE1_ARB = $84C1
#GL_TEXTURE2_ARB = $84C2
#GL_TEXTURE3_ARB = $84C3
#GL_TEXTURE4_ARB = $84C4
#GL_TEXTURE5_ARB = $84C5
#GL_TEXTURE6_ARB = $84C6
#GL_TEXTURE7_ARB = $84C7
#GL_TEXTURE8_ARB = $84C8
#GL_TEXTURE9_ARB = $84C9
#GL_TEXTURE10_ARB = $84CA
#GL_TEXTURE11_ARB = $84CB
#GL_TEXTURE12_ARB = $84CC
#GL_TEXTURE13_ARB = $84CD
#GL_TEXTURE14_ARB = $84CE
#GL_TEXTURE15_ARB = $84CF
#GL_TEXTURE16_ARB = $84D0
#GL_TEXTURE17_ARB = $84D1
#GL_TEXTURE18_ARB = $84D2
#GL_TEXTURE19_ARB = $84D3
#GL_TEXTURE20_ARB = $84D4
#GL_TEXTURE21_ARB = $84D5
#GL_TEXTURE22_ARB = $84D6
#GL_TEXTURE23_ARB = $84D7
#GL_TEXTURE24_ARB = $84D8
#GL_TEXTURE25_ARB = $84D9
#GL_TEXTURE26_ARB = $84DA
#GL_TEXTURE27_ARB = $84DB
#GL_TEXTURE28_ARB = $84DC
#GL_TEXTURE29_ARB = $84DD
#GL_TEXTURE30_ARB = $84DE
#GL_TEXTURE31_ARB = $84DF
#GL_ACTIVE_TEXTURE_ARB = $84E0
#GL_CLIENT_ACTIVE_TEXTURE_ARB = $84E1
#GL_MAX_TEXTURE_UNITS_ARB = $84E2


;*********** GL_ARB_transpose_matrix ***********

#GL_TRANSPOSE_MODELVIEW_MATRIX_ARB = $84E3
#GL_TRANSPOSE_PROJECTION_MATRIX_ARB = $84E4
#GL_TRANSPOSE_TEXTURE_MATRIX_ARB = $84E5
#GL_TRANSPOSE_COLOR_MATRIX_ARB = $84E6


;*********** GL_ARB_multisample ***********

#GL_MULTISAMPLE_ARB = $809D
#GL_SAMPLE_ALPHA_TO_COVERAGE_ARB = $809E
#GL_SAMPLE_ALPHA_TO_ONE_ARB = $809F
#GL_SAMPLE_COVERAGE_ARB = $80A0
#GL_SAMPLE_BUFFERS_ARB = $80A8
#GL_SAMPLES_ARB = $80A9
#GL_SAMPLE_COVERAGE_VALUE_ARB = $80AA
#GL_SAMPLE_COVERAGE_INVERT_ARB = $80AB
#GL_MULTISAMPLE_BIT_ARB = $20000000


;*********** GL_ARB_texture_env_add ***********


;*********** GL_ARB_texture_cube_map ***********

#GL_NORMAL_MAP_ARB = $8511
#GL_REFLECTION_MAP_ARB = $8512
#GL_TEXTURE_CUBE_MAP_ARB = $8513
#GL_TEXTURE_BINDING_CUBE_MAP_ARB = $8514
#GL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB = $8515
#GL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB = $8516
#GL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB = $8517
#GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB = $8518
#GL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB = $8519
#GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB = $851A
#GL_PROXY_TEXTURE_CUBE_MAP_ARB = $851B
#GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB = $851C


;*********** GL_ARB_texture_compression ***********

#GL_COMPRESSED_ALPHA_ARB = $84E9
#GL_COMPRESSED_LUMINANCE_ARB = $84EA
#GL_COMPRESSED_LUMINANCE_ALPHA_ARB = $84EB
#GL_COMPRESSED_INTENSITY_ARB = $84EC
#GL_COMPRESSED_RGB_ARB = $84ED
#GL_COMPRESSED_RGBA_ARB = $84EE
#GL_TEXTURE_COMPRESSION_HINT_ARB = $84EF
#GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB = $86A0
#GL_TEXTURE_COMPRESSED_ARB = $86A1
#GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB = $86A2
#GL_COMPRESSED_TEXTURE_FORMATS_ARB = $86A3


;*********** GL_ARB_texture_border_clamp ***********

#GL_CLAMP_TO_BORDER_ARB = $812D


;*********** GL_ARB_point_parameters ***********

#GL_POINT_SIZE_MIN_ARB = $8126
#GL_POINT_SIZE_MAX_ARB = $8127
#GL_POINT_FADE_THRESHOLD_SIZE_ARB = $8128
#GL_POINT_DISTANCE_ATTENUATION_ARB = $8129


;*********** GL_ARB_vertex_blend ***********

#GL_MAX_VERTEX_UNITS_ARB = $86A4
#GL_ACTIVE_VERTEX_UNITS_ARB = $86A5
#GL_WEIGHT_SUM_UNITY_ARB = $86A6
#GL_VERTEX_BLEND_ARB = $86A7
#GL_CURRENT_WEIGHT_ARB = $86A8
#GL_WEIGHT_ARRAY_TYPE_ARB = $86A9
#GL_WEIGHT_ARRAY_STRIDE_ARB = $86AA
#GL_WEIGHT_ARRAY_SIZE_ARB = $86AB
#GL_WEIGHT_ARRAY_POINTER_ARB = $86AC
#GL_WEIGHT_ARRAY_ARB = $86AD
#GL_MODELVIEW0_ARB = $1700
#GL_MODELVIEW1_ARB = $850A
#GL_MODELVIEW2_ARB = $8722
#GL_MODELVIEW3_ARB = $8723
#GL_MODELVIEW4_ARB = $8724
#GL_MODELVIEW5_ARB = $8725
#GL_MODELVIEW6_ARB = $8726
#GL_MODELVIEW7_ARB = $8727
#GL_MODELVIEW8_ARB = $8728
#GL_MODELVIEW9_ARB = $8729
#GL_MODELVIEW10_ARB = $872A
#GL_MODELVIEW11_ARB = $872B
#GL_MODELVIEW12_ARB = $872C
#GL_MODELVIEW13_ARB = $872D
#GL_MODELVIEW14_ARB = $872E
#GL_MODELVIEW15_ARB = $872F
#GL_MODELVIEW16_ARB = $8730
#GL_MODELVIEW17_ARB = $8731
#GL_MODELVIEW18_ARB = $8732
#GL_MODELVIEW19_ARB = $8733
#GL_MODELVIEW20_ARB = $8734
#GL_MODELVIEW21_ARB = $8735
#GL_MODELVIEW22_ARB = $8736
#GL_MODELVIEW23_ARB = $8737
#GL_MODELVIEW24_ARB = $8738
#GL_MODELVIEW25_ARB = $8739
#GL_MODELVIEW26_ARB = $873A
#GL_MODELVIEW27_ARB = $873B
#GL_MODELVIEW28_ARB = $873C
#GL_MODELVIEW29_ARB = $873D
#GL_MODELVIEW30_ARB = $873E
#GL_MODELVIEW31_ARB = $873F


;*********** GL_ARB_matrix_palette ***********

#GL_MATRIX_PALETTE_ARB = $8840
#GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB = $8841
#GL_MAX_PALETTE_MATRICES_ARB = $8842
#GL_CURRENT_PALETTE_MATRIX_ARB = $8843
#GL_MATRIX_INDEX_ARRAY_ARB = $8844
#GL_CURRENT_MATRIX_INDEX_ARB = $8845
#GL_MATRIX_INDEX_ARRAY_SIZE_ARB = $8846
#GL_MATRIX_INDEX_ARRAY_TYPE_ARB = $8847
#GL_MATRIX_INDEX_ARRAY_STRIDE_ARB = $8848
#GL_MATRIX_INDEX_ARRAY_POINTER_ARB = $8849


;*********** GL_ARB_texture_env_combine ***********

#GL_COMBINE_ARB = $8570
#GL_COMBINE_RGB_ARB = $8571
#GL_COMBINE_ALPHA_ARB = $8572
#GL_SOURCE0_RGB_ARB = $8580
#GL_SOURCE1_RGB_ARB = $8581
#GL_SOURCE2_RGB_ARB = $8582
#GL_SOURCE0_ALPHA_ARB = $8588
#GL_SOURCE1_ALPHA_ARB = $8589
#GL_SOURCE2_ALPHA_ARB = $858A
#GL_OPERAND0_RGB_ARB = $8590
#GL_OPERAND1_RGB_ARB = $8591
#GL_OPERAND2_RGB_ARB = $8592
#GL_OPERAND0_ALPHA_ARB = $8598
#GL_OPERAND1_ALPHA_ARB = $8599
#GL_OPERAND2_ALPHA_ARB = $859A
#GL_RGB_SCALE_ARB = $8573
#GL_ADD_SIGNED_ARB = $8574
#GL_INTERPOLATE_ARB = $8575
#GL_SUBTRACT_ARB = $84E7
#GL_CONSTANT_ARB = $8576
#GL_PRIMARY_COLOR_ARB = $8577
#GL_PREVIOUS_ARB = $8578


;*********** GL_ARB_texture_env_crossbar ***********


;*********** GL_ARB_texture_env_dot3 ***********

#GL_DOT3_RGB_ARB = $86AE
#GL_DOT3_RGBA_ARB = $86AF


;*********** GL_ARB_texture_mirrored_repeat ***********

#GL_MIRRORED_REPEAT_ARB = $8370


;*********** GL_ARB_depth_texture ***********

#GL_DEPTH_COMPONENT16_ARB = $81A5
#GL_DEPTH_COMPONENT24_ARB = $81A6
#GL_DEPTH_COMPONENT32_ARB = $81A7
#GL_TEXTURE_DEPTH_SIZE_ARB = $884A
#GL_DEPTH_TEXTURE_MODE_ARB = $884B


;*********** GL_ARB_shadow ***********

#GL_TEXTURE_COMPARE_MODE_ARB = $884C
#GL_TEXTURE_COMPARE_FUNC_ARB = $884D
#GL_COMPARE_R_TO_TEXTURE_ARB = $884E


;*********** GL_ARB_shadow_ambient ***********

#GL_TEXTURE_COMPARE_FAIL_VALUE_ARB = $80BF


;*********** GL_ARB_window_pos ***********


;*********** GL_ARB_vertex_program ***********

#GL_COLOR_SUM_ARB = $8458
#GL_VERTEX_PROGRAM_ARB = $8620
#GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB = $8622
#GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB = $8623
#GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB = $8624
#GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB = $8625
#GL_CURRENT_VERTEX_ATTRIB_ARB = $8626
#GL_PROGRAM_LENGTH_ARB = $8627
#GL_PROGRAM_STRING_ARB = $8628
#GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB = $862E
#GL_MAX_PROGRAM_MATRICES_ARB = $862F
#GL_CURRENT_MATRIX_STACK_DEPTH_ARB = $8640
#GL_CURRENT_MATRIX_ARB = $8641
#GL_VERTEX_PROGRAM_POINT_SIZE_ARB = $8642
#GL_VERTEX_PROGRAM_TWO_SIDE_ARB = $8643
#GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB = $8645
#GL_PROGRAM_ERROR_POSITION_ARB = $864B
#GL_PROGRAM_BINDING_ARB = $8677
#GL_MAX_VERTEX_ATTRIBS_ARB = $8869
#GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB = $886A
#GL_PROGRAM_ERROR_STRING_ARB = $8874
#GL_PROGRAM_FORMAT_ASCII_ARB = $8875
#GL_PROGRAM_FORMAT_ARB = $8876
#GL_PROGRAM_INSTRUCTIONS_ARB = $88A0
#GL_MAX_PROGRAM_INSTRUCTIONS_ARB = $88A1
#GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB = $88A2
#GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB = $88A3
#GL_PROGRAM_TEMPORARIES_ARB = $88A4
#GL_MAX_PROGRAM_TEMPORARIES_ARB = $88A5
#GL_PROGRAM_NATIVE_TEMPORARIES_ARB = $88A6
#GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB = $88A7
#GL_PROGRAM_PARAMETERS_ARB = $88A8
#GL_MAX_PROGRAM_PARAMETERS_ARB = $88A9
#GL_PROGRAM_NATIVE_PARAMETERS_ARB = $88AA
#GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB = $88AB
#GL_PROGRAM_ATTRIBS_ARB = $88AC
#GL_MAX_PROGRAM_ATTRIBS_ARB = $88AD
#GL_PROGRAM_NATIVE_ATTRIBS_ARB = $88AE
#GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB = $88AF
#GL_PROGRAM_ADDRESS_REGISTERS_ARB = $88B0
#GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB = $88B1
#GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB = $88B2
#GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB = $88B3
#GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB = $88B4
#GL_MAX_PROGRAM_ENV_PARAMETERS_ARB = $88B5
#GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB = $88B6
#GL_TRANSPOSE_CURRENT_MATRIX_ARB = $88B7
#GL_MATRIX0_ARB = $88C0
#GL_MATRIX1_ARB = $88C1
#GL_MATRIX2_ARB = $88C2
#GL_MATRIX3_ARB = $88C3
#GL_MATRIX4_ARB = $88C4
#GL_MATRIX5_ARB = $88C5
#GL_MATRIX6_ARB = $88C6
#GL_MATRIX7_ARB = $88C7
#GL_MATRIX8_ARB = $88C8
#GL_MATRIX9_ARB = $88C9
#GL_MATRIX10_ARB = $88CA
#GL_MATRIX11_ARB = $88CB
#GL_MATRIX12_ARB = $88CC
#GL_MATRIX13_ARB = $88CD
#GL_MATRIX14_ARB = $88CE
#GL_MATRIX15_ARB = $88CF
#GL_MATRIX16_ARB = $88D0
#GL_MATRIX17_ARB = $88D1
#GL_MATRIX18_ARB = $88D2
#GL_MATRIX19_ARB = $88D3
#GL_MATRIX20_ARB = $88D4
#GL_MATRIX21_ARB = $88D5
#GL_MATRIX22_ARB = $88D6
#GL_MATRIX23_ARB = $88D7
#GL_MATRIX24_ARB = $88D8
#GL_MATRIX25_ARB = $88D9
#GL_MATRIX26_ARB = $88DA
#GL_MATRIX27_ARB = $88DB
#GL_MATRIX28_ARB = $88DC
#GL_MATRIX29_ARB = $88DD
#GL_MATRIX30_ARB = $88DE
#GL_MATRIX31_ARB = $88DF


;*********** GL_ARB_fragment_program ***********

#GL_FRAGMENT_PROGRAM_ARB = $8804
#GL_PROGRAM_ALU_INSTRUCTIONS_ARB = $8805
#GL_PROGRAM_TEX_INSTRUCTIONS_ARB = $8806
#GL_PROGRAM_TEX_INDIRECTIONS_ARB = $8807
#GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB = $8808
#GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB = $8809
#GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB = $880A
#GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB = $880B
#GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB = $880C
#GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB = $880D
#GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB = $880E
#GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB = $880F
#GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB = $8810
#GL_MAX_TEXTURE_COORDS_ARB = $8871
#GL_MAX_TEXTURE_IMAGE_UNITS_ARB = $8872


;*********** GL_ARB_vertex_buffer_object ***********

#GL_BUFFER_SIZE_ARB = $8764
#GL_BUFFER_USAGE_ARB = $8765
#GL_ARRAY_BUFFER_ARB = $8892
#GL_ELEMENT_ARRAY_BUFFER_ARB = $8893
#GL_ARRAY_BUFFER_BINDING_ARB = $8894
#GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB = $8895
#GL_VERTEX_ARRAY_BUFFER_BINDING_ARB = $8896
#GL_NORMAL_ARRAY_BUFFER_BINDING_ARB = $8897
#GL_COLOR_ARRAY_BUFFER_BINDING_ARB = $8898
#GL_INDEX_ARRAY_BUFFER_BINDING_ARB = $8899
#GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB = $889A
#GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB = $889B
#GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB = $889C
#GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB = $889D
#GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB = $889E
#GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB = $889F
#GL_READ_ONLY_ARB = $88B8
#GL_WRITE_ONLY_ARB = $88B9
#GL_READ_WRITE_ARB = $88BA
#GL_BUFFER_ACCESS_ARB = $88BB
#GL_BUFFER_MAPPED_ARB = $88BC
#GL_BUFFER_MAP_POINTER_ARB = $88BD
#GL_STREAM_DRAW_ARB = $88E0
#GL_STREAM_READ_ARB = $88E1
#GL_STREAM_COPY_ARB = $88E2
#GL_STATIC_DRAW_ARB = $88E4
#GL_STATIC_READ_ARB = $88E5
#GL_STATIC_COPY_ARB = $88E6
#GL_DYNAMIC_DRAW_ARB = $88E8
#GL_DYNAMIC_READ_ARB = $88E9
#GL_DYNAMIC_COPY_ARB = $88EA


;*********** GL_ARB_occlusion_query ***********

#GL_QUERY_COUNTER_BITS_ARB = $8864
#GL_CURRENT_QUERY_ARB = $8865
#GL_QUERY_RESULT_ARB = $8866
#GL_QUERY_RESULT_AVAILABLE_ARB = $8867
#GL_SAMPLES_PASSED_ARB = $8914


;*********** GL_ARB_shader_objects ***********

#GL_PROGRAM_OBJECT_ARB = $8B40
#GL_SHADER_OBJECT_ARB = $8B48
#GL_OBJECT_TYPE_ARB = $8B4E
#GL_OBJECT_SUBTYPE_ARB = $8B4F
#GL_FLOAT_VEC2_ARB = $8B50
#GL_FLOAT_VEC3_ARB = $8B51
#GL_FLOAT_VEC4_ARB = $8B52
#GL_INT_VEC2_ARB = $8B53
#GL_INT_VEC3_ARB = $8B54
#GL_INT_VEC4_ARB = $8B55
#GL_BOOL_ARB = $8B56
#GL_BOOL_VEC2_ARB = $8B57
#GL_BOOL_VEC3_ARB = $8B58
#GL_BOOL_VEC4_ARB = $8B59
#GL_FLOAT_MAT2_ARB = $8B5A
#GL_FLOAT_MAT3_ARB = $8B5B
#GL_FLOAT_MAT4_ARB = $8B5C
#GL_SAMPLER_1D_ARB = $8B5D
#GL_SAMPLER_2D_ARB = $8B5E
#GL_SAMPLER_3D_ARB = $8B5F
#GL_SAMPLER_CUBE_ARB = $8B60
#GL_SAMPLER_1D_SHADOW_ARB = $8B61
#GL_SAMPLER_2D_SHADOW_ARB = $8B62
#GL_SAMPLER_2D_RECT_ARB = $8B63
#GL_SAMPLER_2D_RECT_SHADOW_ARB = $8B64
#GL_OBJECT_DELETE_STATUS_ARB = $8B80
#GL_OBJECT_COMPILE_STATUS_ARB = $8B81
#GL_OBJECT_LINK_STATUS_ARB = $8B82
#GL_OBJECT_VALIDATE_STATUS_ARB = $8B83
#GL_OBJECT_INFO_LOG_LENGTH_ARB = $8B84
#GL_OBJECT_ATTACHED_OBJECTS_ARB = $8B85
#GL_OBJECT_ACTIVE_UNIFORMS_ARB = $8B86
#GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB = $8B87
#GL_OBJECT_SHADER_SOURCE_LENGTH_ARB = $8B88


;*********** GL_ARB_vertex_shader ***********

#GL_VERTEX_SHADER_ARB = $8B31
#GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB = $8B4A
#GL_MAX_VARYING_FLOATS_ARB = $8B4B
#GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB = $8B4C
#GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB = $8B4D
#GL_OBJECT_ACTIVE_ATTRIBUTES_ARB = $8B89
#GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB = $8B8A


;*********** GL_ARB_fragment_shader ***********

#GL_FRAGMENT_SHADER_ARB = $8B30
#GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB = $8B49
#GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB = $8B8B


;*********** GL_ARB_shading_language_100 ***********

#GL_SHADING_LANGUAGE_VERSION_ARB = $8B8C


;*********** GL_ARB_texture_non_power_of_two ***********


;*********** GL_ARB_point_sprite ***********

#GL_POINT_SPRITE_ARB = $8861
#GL_COORD_REPLACE_ARB = $8862


;*********** GL_ARB_fragment_program_shadow ***********


;*********** GL_ARB_draw_buffers ***********

#GL_MAX_DRAW_BUFFERS_ARB = $8824
#GL_DRAW_BUFFER0_ARB = $8825
#GL_DRAW_BUFFER1_ARB = $8826
#GL_DRAW_BUFFER2_ARB = $8827
#GL_DRAW_BUFFER3_ARB = $8828
#GL_DRAW_BUFFER4_ARB = $8829
#GL_DRAW_BUFFER5_ARB = $882A
#GL_DRAW_BUFFER6_ARB = $882B
#GL_DRAW_BUFFER7_ARB = $882C
#GL_DRAW_BUFFER8_ARB = $882D
#GL_DRAW_BUFFER9_ARB = $882E
#GL_DRAW_BUFFER10_ARB = $882F
#GL_DRAW_BUFFER11_ARB = $8830
#GL_DRAW_BUFFER12_ARB = $8831
#GL_DRAW_BUFFER13_ARB = $8832
#GL_DRAW_BUFFER14_ARB = $8833
#GL_DRAW_BUFFER15_ARB = $8834


;*********** GL_ARB_texture_rectangle ***********

#GL_TEXTURE_RECTANGLE_ARB = $84F5
#GL_TEXTURE_BINDING_RECTANGLE_ARB = $84F6
#GL_PROXY_TEXTURE_RECTANGLE_ARB = $84F7
#GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB = $84F8


;*********** GL_EXT_abgr ***********

#GL_ABGR_EXT = $8000


;*********** GL_EXT_blend_color ***********

#GL_CONSTANT_COLOR_EXT = $8001
#GL_ONE_MINUS_CONSTANT_COLOR_EXT = $8002
#GL_CONSTANT_ALPHA_EXT = $8003
#GL_ONE_MINUS_CONSTANT_ALPHA_EXT = $8004
#GL_BLEND_COLOR_EXT = $8005


;*********** GL_EXT_polygon_offset ***********

#GL_POLYGON_OFFSET_EXT = $8037
#GL_POLYGON_OFFSET_FACTOR_EXT = $8038
#GL_POLYGON_OFFSET_BIAS_EXT = $8039


;*********** GL_EXT_texture ***********

#GL_ALPHA4_EXT = $803B
#GL_ALPHA8_EXT = $803C
#GL_ALPHA12_EXT = $803D
#GL_ALPHA16_EXT = $803E
#GL_LUMINANCE4_EXT = $803F
#GL_LUMINANCE8_EXT = $8040
#GL_LUMINANCE12_EXT = $8041
#GL_LUMINANCE16_EXT = $8042
#GL_LUMINANCE4_ALPHA4_EXT = $8043
#GL_LUMINANCE6_ALPHA2_EXT = $8044
#GL_LUMINANCE8_ALPHA8_EXT = $8045
#GL_LUMINANCE12_ALPHA4_EXT = $8046
#GL_LUMINANCE12_ALPHA12_EXT = $8047
#GL_LUMINANCE16_ALPHA16_EXT = $8048
#GL_INTENSITY_EXT = $8049
#GL_INTENSITY4_EXT = $804A
#GL_INTENSITY8_EXT = $804B
#GL_INTENSITY12_EXT = $804C
#GL_INTENSITY16_EXT = $804D
#GL_RGB2_EXT = $804E
#GL_RGB4_EXT = $804F
#GL_RGB5_EXT = $8050
#GL_RGB8_EXT = $8051
#GL_RGB10_EXT = $8052
#GL_RGB12_EXT = $8053
#GL_RGB16_EXT = $8054
#GL_RGBA2_EXT = $8055
#GL_RGBA4_EXT = $8056
#GL_RGB5_A1_EXT = $8057
#GL_RGBA8_EXT = $8058
#GL_RGB10_A2_EXT = $8059
#GL_RGBA12_EXT = $805A
#GL_RGBA16_EXT = $805B
#GL_TEXTURE_RED_SIZE_EXT = $805C
#GL_TEXTURE_GREEN_SIZE_EXT = $805D
#GL_TEXTURE_BLUE_SIZE_EXT = $805E
#GL_TEXTURE_ALPHA_SIZE_EXT = $805F
#GL_TEXTURE_LUMINANCE_SIZE_EXT = $8060
#GL_TEXTURE_INTENSITY_SIZE_EXT = $8061
#GL_REPLACE_EXT = $8062
#GL_PROXY_TEXTURE_1D_EXT = $8063
#GL_PROXY_TEXTURE_2D_EXT = $8064
#GL_TEXTURE_TOO_LARGE_EXT = $8065


;*********** GL_EXT_texture3D ***********

#GL_PACK_SKIP_IMAGES_EXT = $806B
#GL_PACK_IMAGE_HEIGHT_EXT = $806C
#GL_UNPACK_SKIP_IMAGES_EXT = $806D
#GL_UNPACK_IMAGE_HEIGHT_EXT = $806E
#GL_TEXTURE_3D_EXT = $806F
#GL_PROXY_TEXTURE_3D_EXT = $8070
#GL_TEXTURE_DEPTH_EXT = $8071
#GL_TEXTURE_WRAP_R_EXT = $8072
#GL_MAX_3D_TEXTURE_SIZE_EXT = $8073


;*********** GL_SGIS_texture_filter4 ***********

#GL_FILTER4_SGIS = $8146
#GL_TEXTURE_FILTER4_SIZE_SGIS = $8147


;*********** GL_EXT_subtexture ***********


;*********** GL_EXT_copy_texture ***********


;*********** GL_EXT_histogram ***********

#GL_HISTOGRAM_EXT = $8024
#GL_PROXY_HISTOGRAM_EXT = $8025
#GL_HISTOGRAM_WIDTH_EXT = $8026
#GL_HISTOGRAM_FORMAT_EXT = $8027
#GL_HISTOGRAM_RED_SIZE_EXT = $8028
#GL_HISTOGRAM_GREEN_SIZE_EXT = $8029
#GL_HISTOGRAM_BLUE_SIZE_EXT = $802A
#GL_HISTOGRAM_ALPHA_SIZE_EXT = $802B
#GL_HISTOGRAM_LUMINANCE_SIZE_EXT = $802C
#GL_HISTOGRAM_SINK_EXT = $802D
#GL_MINMAX_EXT = $802E
#GL_MINMAX_FORMAT_EXT = $802F
#GL_MINMAX_SINK_EXT = $8030
#GL_TABLE_TOO_LARGE_EXT = $8031


;*********** GL_EXT_convolution ***********

#GL_CONVOLUTION_1D_EXT = $8010
#GL_CONVOLUTION_2D_EXT = $8011
#GL_SEPARABLE_2D_EXT = $8012
#GL_CONVOLUTION_BORDER_MODE_EXT = $8013
#GL_CONVOLUTION_FILTER_SCALE_EXT = $8014
#GL_CONVOLUTION_FILTER_BIAS_EXT = $8015
#GL_REDUCE_EXT = $8016
#GL_CONVOLUTION_FORMAT_EXT = $8017
#GL_CONVOLUTION_WIDTH_EXT = $8018
#GL_CONVOLUTION_HEIGHT_EXT = $8019
#GL_MAX_CONVOLUTION_WIDTH_EXT = $801A
#GL_MAX_CONVOLUTION_HEIGHT_EXT = $801B
#GL_POST_CONVOLUTION_RED_SCALE_EXT = $801C
#GL_POST_CONVOLUTION_GREEN_SCALE_EXT = $801D
#GL_POST_CONVOLUTION_BLUE_SCALE_EXT = $801E
#GL_POST_CONVOLUTION_ALPHA_SCALE_EXT = $801F
#GL_POST_CONVOLUTION_RED_BIAS_EXT = $8020
#GL_POST_CONVOLUTION_GREEN_BIAS_EXT = $8021
#GL_POST_CONVOLUTION_BLUE_BIAS_EXT = $8022
#GL_POST_CONVOLUTION_ALPHA_BIAS_EXT = $8023


;*********** GL_SGI_color_matrix ***********

#GL_COLOR_MATRIX_SGI = $80B1
#GL_COLOR_MATRIX_STACK_DEPTH_SGI = $80B2
#GL_MAX_COLOR_MATRIX_STACK_DEPTH_SGI = $80B3
#GL_POST_COLOR_MATRIX_RED_SCALE_SGI = $80B4
#GL_POST_COLOR_MATRIX_GREEN_SCALE_SGI = $80B5
#GL_POST_COLOR_MATRIX_BLUE_SCALE_SGI = $80B6
#GL_POST_COLOR_MATRIX_ALPHA_SCALE_SGI = $80B7
#GL_POST_COLOR_MATRIX_RED_BIAS_SGI = $80B8
#GL_POST_COLOR_MATRIX_GREEN_BIAS_SGI = $80B9
#GL_POST_COLOR_MATRIX_BLUE_BIAS_SGI = $80BA
#GL_POST_COLOR_MATRIX_ALPHA_BIAS_SGI = $80BB


;*********** GL_SGI_color_table ***********

#GL_COLOR_TABLE_SGI = $80D0
#GL_POST_CONVOLUTION_COLOR_TABLE_SGI = $80D1
#GL_POST_COLOR_MATRIX_COLOR_TABLE_SGI = $80D2
#GL_PROXY_COLOR_TABLE_SGI = $80D3
#GL_PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI = $80D4
#GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI = $80D5
#GL_COLOR_TABLE_SCALE_SGI = $80D6
#GL_COLOR_TABLE_BIAS_SGI = $80D7
#GL_COLOR_TABLE_FORMAT_SGI = $80D8
#GL_COLOR_TABLE_WIDTH_SGI = $80D9
#GL_COLOR_TABLE_RED_SIZE_SGI = $80DA
#GL_COLOR_TABLE_GREEN_SIZE_SGI = $80DB
#GL_COLOR_TABLE_BLUE_SIZE_SGI = $80DC
#GL_COLOR_TABLE_ALPHA_SIZE_SGI = $80DD
#GL_COLOR_TABLE_LUMINANCE_SIZE_SGI = $80DE
#GL_COLOR_TABLE_INTENSITY_SIZE_SGI = $80DF


;*********** GL_SGIS_pixel_texture ***********

#GL_PIXEL_TEXTURE_SGIS = $8353
#GL_PIXEL_FRAGMENT_RGB_SOURCE_SGIS = $8354
#GL_PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS = $8355
#GL_PIXEL_GROUP_COLOR_SGIS = $8356


;*********** GL_SGIX_pixel_texture ***********

#GL_PIXEL_TEX_GEN_SGIX = $8139
#GL_PIXEL_TEX_GEN_MODE_SGIX = $832B


;*********** GL_SGIS_texture4D ***********

#GL_PACK_SKIP_VOLUMES_SGIS = $8130
#GL_PACK_IMAGE_DEPTH_SGIS = $8131
#GL_UNPACK_SKIP_VOLUMES_SGIS = $8132
#GL_UNPACK_IMAGE_DEPTH_SGIS = $8133
#GL_TEXTURE_4D_SGIS = $8134
#GL_PROXY_TEXTURE_4D_SGIS = $8135
#GL_TEXTURE_4DSIZE_SGIS = $8136
#GL_TEXTURE_WRAP_Q_SGIS = $8137
#GL_MAX_4D_TEXTURE_SIZE_SGIS = $8138
#GL_TEXTURE_4D_BINDING_SGIS = $814F


;*********** GL_SGI_texture_color_table ***********

#GL_TEXTURE_COLOR_TABLE_SGI = $80BC
#GL_PROXY_TEXTURE_COLOR_TABLE_SGI = $80BD


;*********** GL_EXT_cmyka ***********

#GL_CMYK_EXT = $800C
#GL_CMYKA_EXT = $800D
#GL_PACK_CMYK_HINT_EXT = $800E
#GL_UNPACK_CMYK_HINT_EXT = $800F


;*********** GL_EXT_texture_object ***********

#GL_TEXTURE_PRIORITY_EXT = $8066
#GL_TEXTURE_RESIDENT_EXT = $8067
#GL_TEXTURE_1D_BINDING_EXT = $8068
#GL_TEXTURE_2D_BINDING_EXT = $8069
#GL_TEXTURE_3D_BINDING_EXT = $806A


;*********** GL_SGIS_detail_texture ***********

#GL_DETAIL_TEXTURE_2D_SGIS = $8095
#GL_DETAIL_TEXTURE_2D_BINDING_SGIS = $8096
#GL_LINEAR_DETAIL_SGIS = $8097
#GL_LINEAR_DETAIL_ALPHA_SGIS = $8098
#GL_LINEAR_DETAIL_COLOR_SGIS = $8099
#GL_DETAIL_TEXTURE_LEVEL_SGIS = $809A
#GL_DETAIL_TEXTURE_MODE_SGIS = $809B
#GL_DETAIL_TEXTURE_FUNC_POINTS_SGIS = $809C


;*********** GL_SGIS_sharpen_texture ***********

#GL_LINEAR_SHARPEN_SGIS = $80AD
#GL_LINEAR_SHARPEN_ALPHA_SGIS = $80AE
#GL_LINEAR_SHARPEN_COLOR_SGIS = $80AF
#GL_SHARPEN_TEXTURE_FUNC_POINTS_SGIS = $80B0


;*********** GL_EXT_packed_pixels ***********

#GL_UNSIGNED_BYTE_3_3_2_EXT = $8032
#GL_UNSIGNED_SHORT_4_4_4_4_EXT = $8033
#GL_UNSIGNED_SHORT_5_5_5_1_EXT = $8034
#GL_UNSIGNED_INT_8_8_8_8_EXT = $8035
#GL_UNSIGNED_INT_10_10_10_2_EXT = $8036


;*********** GL_SGIS_texture_lod ***********

#GL_TEXTURE_MIN_LOD_SGIS = $813A
#GL_TEXTURE_MAX_LOD_SGIS = $813B
#GL_TEXTURE_BASE_LEVEL_SGIS = $813C
#GL_TEXTURE_MAX_LEVEL_SGIS = $813D


;*********** GL_SGIS_multisample ***********

#GL_MULTISAMPLE_SGIS = $809D
#GL_SAMPLE_ALPHA_TO_MASK_SGIS = $809E
#GL_SAMPLE_ALPHA_TO_ONE_SGIS = $809F
#GL_SAMPLE_MASK_SGIS = $80A0
#GL_1PASS_SGIS = $80A1
#GL_2PASS_0_SGIS = $80A2
#GL_2PASS_1_SGIS = $80A3
#GL_4PASS_0_SGIS = $80A4
#GL_4PASS_1_SGIS = $80A5
#GL_4PASS_2_SGIS = $80A6
#GL_4PASS_3_SGIS = $80A7
#GL_SAMPLE_BUFFERS_SGIS = $80A8
#GL_SAMPLES_SGIS = $80A9
#GL_SAMPLE_MASK_VALUE_SGIS = $80AA
#GL_SAMPLE_MASK_INVERT_SGIS = $80AB
#GL_SAMPLE_PATTERN_SGIS = $80AC


;*********** GL_EXT_rescale_normal ***********

#GL_RESCALE_NORMAL_EXT = $803A


;*********** GL_EXT_vertex_array ***********

#GL_VERTEX_ARRAY_EXT = $8074
#GL_NORMAL_ARRAY_EXT = $8075
#GL_COLOR_ARRAY_EXT = $8076
#GL_INDEX_ARRAY_EXT = $8077
#GL_TEXTURE_COORD_ARRAY_EXT = $8078
#GL_EDGE_FLAG_ARRAY_EXT = $8079
#GL_VERTEX_ARRAY_SIZE_EXT = $807A
#GL_VERTEX_ARRAY_TYPE_EXT = $807B
#GL_VERTEX_ARRAY_STRIDE_EXT = $807C
#GL_VERTEX_ARRAY_COUNT_EXT = $807D
#GL_NORMAL_ARRAY_TYPE_EXT = $807E
#GL_NORMAL_ARRAY_STRIDE_EXT = $807F
#GL_NORMAL_ARRAY_COUNT_EXT = $8080
#GL_COLOR_ARRAY_SIZE_EXT = $8081
#GL_COLOR_ARRAY_TYPE_EXT = $8082
#GL_COLOR_ARRAY_STRIDE_EXT = $8083
#GL_COLOR_ARRAY_COUNT_EXT = $8084
#GL_INDEX_ARRAY_TYPE_EXT = $8085
#GL_INDEX_ARRAY_STRIDE_EXT = $8086
#GL_INDEX_ARRAY_COUNT_EXT = $8087
#GL_TEXTURE_COORD_ARRAY_SIZE_EXT = $8088
#GL_TEXTURE_COORD_ARRAY_TYPE_EXT = $8089
#GL_TEXTURE_COORD_ARRAY_STRIDE_EXT = $808A
#GL_TEXTURE_COORD_ARRAY_COUNT_EXT = $808B
#GL_EDGE_FLAG_ARRAY_STRIDE_EXT = $808C
#GL_EDGE_FLAG_ARRAY_COUNT_EXT = $808D
#GL_VERTEX_ARRAY_POINTER_EXT = $808E
#GL_NORMAL_ARRAY_POINTER_EXT = $808F
#GL_COLOR_ARRAY_POINTER_EXT = $8090
#GL_INDEX_ARRAY_POINTER_EXT = $8091
#GL_TEXTURE_COORD_ARRAY_POINTER_EXT = $8092
#GL_EDGE_FLAG_ARRAY_POINTER_EXT = $8093


;*********** GL_EXT_misc_attribute ***********


;*********** GL_SGIS_generate_mipmap ***********

#GL_GENERATE_MIPMAP_SGIS = $8191
#GL_GENERATE_MIPMAP_HINT_SGIS = $8192


;*********** GL_SGIX_clipmap ***********

#GL_LINEAR_CLIPMAP_LINEAR_SGIX = $8170
#GL_TEXTURE_CLIPMAP_CENTER_SGIX = $8171
#GL_TEXTURE_CLIPMAP_FRAME_SGIX = $8172
#GL_TEXTURE_CLIPMAP_OFFSET_SGIX = $8173
#GL_TEXTURE_CLIPMAP_VIRTUAL_DEPTH_SGIX = $8174
#GL_TEXTURE_CLIPMAP_LOD_OFFSET_SGIX = $8175
#GL_TEXTURE_CLIPMAP_DEPTH_SGIX = $8176
#GL_MAX_CLIPMAP_DEPTH_SGIX = $8177
#GL_MAX_CLIPMAP_VIRTUAL_DEPTH_SGIX = $8178
#GL_NEAREST_CLIPMAP_NEAREST_SGIX = $844D
#GL_NEAREST_CLIPMAP_LINEAR_SGIX = $844E
#GL_LINEAR_CLIPMAP_NEAREST_SGIX = $844F


;*********** GL_SGIX_shadow ***********

#GL_TEXTURE_COMPARE_SGIX = $819A
#GL_TEXTURE_COMPARE_OPERATOR_SGIX = $819B
#GL_TEXTURE_LEQUAL_R_SGIX = $819C
#GL_TEXTURE_GEQUAL_R_SGIX = $819D


;*********** GL_SGIS_texture_edge_clamp ***********

#GL_CLAMP_TO_EDGE_SGIS = $812F


;*********** GL_SGIS_texture_border_clamp ***********
#GL_CLAMP_TO_BORDER_SGIS = $812D


;*********** GL_EXT_blend_minmax ***********

#GL_FUNC_ADD_EXT = $8006
#GL_MIN_EXT = $8007
#GL_MAX_EXT = $8008
#GL_BLEND_EQUATION_EXT = $8009


;*********** GL_EXT_blend_subtract ***********

#GL_FUNC_SUBTRACT_EXT = $800A
#GL_FUNC_REVERSE_SUBTRACT_EXT = $800B


;*********** GL_EXT_blend_logic_op ***********


;*********** GL_SGIX_interlace ***********

#GL_INTERLACE_SGIX = $8094


;*********** GL_SGIX_pixel_tiles ***********

#GL_PIXEL_TILE_BEST_ALIGNMENT_SGIX = $813E
#GL_PIXEL_TILE_CACHE_INCREMENT_SGIX = $813F
#GL_PIXEL_TILE_WIDTH_SGIX = $8140
#GL_PIXEL_TILE_HEIGHT_SGIX = $8141
#GL_PIXEL_TILE_GRID_WIDTH_SGIX = $8142
#GL_PIXEL_TILE_GRID_HEIGHT_SGIX = $8143
#GL_PIXEL_TILE_GRID_DEPTH_SGIX = $8144
#GL_PIXEL_TILE_CACHE_SIZE_SGIX = $8145


;*********** GL_SGIS_texture_select ***********

#GL_DUAL_ALPHA4_SGIS = $8110
#GL_DUAL_ALPHA8_SGIS = $8111
#GL_DUAL_ALPHA12_SGIS = $8112
#GL_DUAL_ALPHA16_SGIS = $8113
#GL_DUAL_LUMINANCE4_SGIS = $8114
#GL_DUAL_LUMINANCE8_SGIS = $8115
#GL_DUAL_LUMINANCE12_SGIS = $8116
#GL_DUAL_LUMINANCE16_SGIS = $8117
#GL_DUAL_INTENSITY4_SGIS = $8118
#GL_DUAL_INTENSITY8_SGIS = $8119
#GL_DUAL_INTENSITY12_SGIS = $811A
#GL_DUAL_INTENSITY16_SGIS = $811B
#GL_DUAL_LUMINANCE_ALPHA4_SGIS = $811C
#GL_DUAL_LUMINANCE_ALPHA8_SGIS = $811D
#GL_QUAD_ALPHA4_SGIS = $811E
#GL_QUAD_ALPHA8_SGIS = $811F
#GL_QUAD_LUMINANCE4_SGIS = $8120
#GL_QUAD_LUMINANCE8_SGIS = $8121
#GL_QUAD_INTENSITY4_SGIS = $8122
#GL_QUAD_INTENSITY8_SGIS = $8123
#GL_DUAL_TEXTURE_SELECT_SGIS = $8124
#GL_QUAD_TEXTURE_SELECT_SGIS = $8125


;*********** GL_SGIX_sprite ***********

#GL_SPRITE_SGIX = $8148
#GL_SPRITE_MODE_SGIX = $8149
#GL_SPRITE_AXIS_SGIX = $814A
#GL_SPRITE_TRANSLATION_SGIX = $814B
#GL_SPRITE_AXIAL_SGIX = $814C
#GL_SPRITE_OBJECT_ALIGNED_SGIX = $814D
#GL_SPRITE_EYE_ALIGNED_SGIX = $814E


;*********** GL_SGIX_texture_multi_buffer ***********

#GL_TEXTURE_MULTI_BUFFER_HINT_SGIX = $812E


;*********** GL_EXT_point_parameters ***********

#GL_POINT_SIZE_MIN_EXT = $8126
#GL_POINT_SIZE_MAX_EXT = $8127
#GL_POINT_FADE_THRESHOLD_SIZE_EXT = $8128
#GL_DISTANCE_ATTENUATION_EXT = $8129


;*********** GL_SGIS_point_parameters ***********

#GL_POINT_SIZE_MIN_SGIS = $8126
#GL_POINT_SIZE_MAX_SGIS = $8127
#GL_POINT_FADE_THRESHOLD_SIZE_SGIS = $8128
#GL_DISTANCE_ATTENUATION_SGIS = $8129


;*********** GL_SGIX_instruments ***********

#GL_INSTRUMENT_BUFFER_POINTER_SGIX = $8180
#GL_INSTRUMENT_MEASUREMENTS_SGIX = $8181


;*********** GL_SGIX_texture_scale_bias ***********

#GL_POST_TEXTURE_FILTER_BIAS_SGIX = $8179
#GL_POST_TEXTURE_FILTER_SCALE_SGIX = $817A
#GL_POST_TEXTURE_FILTER_BIAS_RANGE_SGIX = $817B
#GL_POST_TEXTURE_FILTER_SCALE_RANGE_SGIX = $817C


;*********** GL_SGIX_framezoom ***********

#GL_FRAMEZOOM_SGIX = $818B
#GL_FRAMEZOOM_FACTOR_SGIX = $818C
#GL_MAX_FRAMEZOOM_FACTOR_SGIX = $818D


;*********** GL_SGIX_tag_sample_buffer ***********


;*********** GL_FfdMaskSGIX ***********

#GL_TEXTURE_DEFORMATION_BIT_SGIX = $00000001
#GL_GEOMETRY_DEFORMATION_BIT_SGIX = $00000002


;*********** GL_SGIX_polynomial_ffd ***********

#GL_GEOMETRY_DEFORMATION_SGIX = $8194
#GL_TEXTURE_DEFORMATION_SGIX = $8195
#GL_DEFORMATIONS_MASK_SGIX = $8196
#GL_MAX_DEFORMATION_ORDER_SGIX = $8197


;*********** GL_SGIX_reference_plane ***********

#GL_REFERENCE_PLANE_SGIX = $817D
#GL_REFERENCE_PLANE_EQUATION_SGIX = $817E


;*********** GL_SGIX_flush_raster ***********


;*********** GL_SGIX_depth_texture ***********

#GL_DEPTH_COMPONENT16_SGIX = $81A5
#GL_DEPTH_COMPONENT24_SGIX = $81A6
#GL_DEPTH_COMPONENT32_SGIX = $81A7


;*********** GL_SGIS_fog_function ***********

#GL_FOG_FUNC_SGIS = $812A
#GL_FOG_FUNC_POINTS_SGIS = $812B
#GL_MAX_FOG_FUNC_POINTS_SGIS = $812C


;*********** GL_SGIX_fog_offset ***********

#GL_FOG_OFFSET_SGIX = $8198
#GL_FOG_OFFSET_VALUE_SGIX = $8199


;*********** GL_HP_image_transform ***********

#GL_IMAGE_SCALE_X_HP = $8155
#GL_IMAGE_SCALE_Y_HP = $8156
#GL_IMAGE_TRANSLATE_X_HP = $8157
#GL_IMAGE_TRANSLATE_Y_HP = $8158
#GL_IMAGE_ROTATE_ANGLE_HP = $8159
#GL_IMAGE_ROTATE_ORIGIN_X_HP = $815A
#GL_IMAGE_ROTATE_ORIGIN_Y_HP = $815B
#GL_IMAGE_MAG_FILTER_HP = $815C
#GL_IMAGE_MIN_FILTER_HP = $815D
#GL_IMAGE_CUBIC_WEIGHT_HP = $815E
#GL_CUBIC_HP = $815F
#GL_AVERAGE_HP = $8160
#GL_IMAGE_TRANSFORM_2D_HP = $8161
#GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP = $8162
#GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP = $8163


;*********** GL_HP_convolution_border_modes ***********

#GL_IGNORE_BORDER_HP = $8150
#GL_CONSTANT_BORDER_HP = $8151
#GL_REPLICATE_BORDER_HP = $8153
#GL_CONVOLUTION_BORDER_COLOR_HP = $8154


;*********** GL_INGR_palette_buffer ***********


;*********** GL_SGIX_texture_add_env ***********

#GL_TEXTURE_ENV_BIAS_SGIX = $80BE


;*********** GL_EXT_color_subtable ***********


;*********** GL_PGI_vertex_hints ***********

#GL_VERTEX_DATA_HINT_PGI = $1A22A
#GL_VERTEX_CONSISTENT_HINT_PGI = $1A22B
#GL_MATERIAL_SIDE_HINT_PGI = $1A22C
#GL_MAX_VERTEX_HINT_PGI = $1A22D
#GL_COLOR3_BIT_PGI = $00010000
#GL_COLOR4_BIT_PGI = $00020000
#GL_EDGEFLAG_BIT_PGI = $00040000
#GL_INDEX_BIT_PGI = $00080000
#GL_MAT_AMBIENT_BIT_PGI = $00100000
#GL_MAT_AMBIENT_AND_DIFFUSE_BIT_PGI = $00200000
#GL_MAT_DIFFUSE_BIT_PGI = $00400000
#GL_MAT_EMISSION_BIT_PGI = $00800000
#GL_MAT_COLOR_INDEXES_BIT_PGI = $01000000
#GL_MAT_SHININESS_BIT_PGI = $02000000
#GL_MAT_SPECULAR_BIT_PGI = $04000000
#GL_NORMAL_BIT_PGI = $08000000
#GL_TEXCOORD1_BIT_PGI = $10000000
#GL_TEXCOORD2_BIT_PGI = $20000000
#GL_TEXCOORD3_BIT_PGI = $40000000
#GL_TEXCOORD4_BIT_PGI = $80000000
#GL_VERTEX23_BIT_PGI = $00000004
#GL_VERTEX4_BIT_PGI = $00000008


;*********** GL_PGI_misc_hints ***********

#GL_PREFER_DOUBLEBUFFER_HINT_PGI = $1A1F8
#GL_CONSERVE_MEMORY_HINT_PGI = $1A1FD
#GL_RECLAIM_MEMORY_HINT_PGI = $1A1FE
#GL_NATIVE_GRAPHICS_HANDLE_PGI = $1A202
#GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI = $1A203
#GL_NATIVE_GRAPHICS_END_HINT_PGI = $1A204
#GL_ALWAYS_FAST_HINT_PGI = $1A20C
#GL_ALWAYS_SOFT_HINT_PGI = $1A20D
#GL_ALLOW_DRAW_OBJ_HINT_PGI = $1A20E
#GL_ALLOW_DRAW_WIN_HINT_PGI = $1A20F
#GL_ALLOW_DRAW_FRG_HINT_PGI = $1A210
#GL_ALLOW_DRAW_MEM_HINT_PGI = $1A211
#GL_STRICT_DEPTHFUNC_HINT_PGI = $1A216
#GL_STRICT_LIGHTING_HINT_PGI = $1A217
#GL_STRICT_SCISSOR_HINT_PGI = $1A218
#GL_FULL_STIPPLE_HINT_PGI = $1A219
#GL_CLIP_NEAR_HINT_PGI = $1A220
#GL_CLIP_FAR_HINT_PGI = $1A221
#GL_WIDE_LINE_HINT_PGI = $1A222
#GL_BACK_NORMALS_HINT_PGI = $1A223


;*********** GL_EXT_paletted_texture ***********

#GL_COLOR_INDEX1_EXT = $80E2
#GL_COLOR_INDEX2_EXT = $80E3
#GL_COLOR_INDEX4_EXT = $80E4
#GL_COLOR_INDEX8_EXT = $80E5
#GL_COLOR_INDEX12_EXT = $80E6
#GL_COLOR_INDEX16_EXT = $80E7
#GL_TEXTURE_INDEX_SIZE_EXT = $80ED


;*********** GL_EXT_clip_volume_hint ***********

#GL_CLIP_VOLUME_CLIPPING_HINT_EXT = $80F0


;*********** GL_SGIX_list_priority ***********

#GL_LIST_PRIORITY_SGIX = $8182


;*********** GL_SGIX_ir_instrument1 ***********

#GL_IR_INSTRUMENT1_SGIX = $817F


;*********** GL_SGIX_calligraphic_fragment ***********

#GL_CALLIGRAPHIC_FRAGMENT_SGIX = $8183


;*********** GL_SGIX_texture_lod_bias ***********

#GL_TEXTURE_LOD_BIAS_S_SGIX = $818E
#GL_TEXTURE_LOD_BIAS_T_SGIX = $818F
#GL_TEXTURE_LOD_BIAS_R_SGIX = $8190


;*********** GL_SGIX_shadow_ambient ***********

#GL_SHADOW_AMBIENT_SGIX = $80BF


;*********** GL_EXT_index_texture ***********


;*********** GL_EXT_index_material ***********

#GL_INDEX_MATERIAL_EXT = $81B8
#GL_INDEX_MATERIAL_PARAMETER_EXT = $81B9
#GL_INDEX_MATERIAL_FACE_EXT = $81BA


;*********** GL_EXT_index_func ***********

#GL_INDEX_TEST_EXT = $81B5
#GL_INDEX_TEST_FUNC_EXT = $81B6
#GL_INDEX_TEST_REF_EXT = $81B7


;*********** GL_EXT_index_array_formats ***********

#GL_IUI_V2F_EXT = $81AD
#GL_IUI_V3F_EXT = $81AE
#GL_IUI_N3F_V2F_EXT = $81AF
#GL_IUI_N3F_V3F_EXT = $81B0
#GL_T2F_IUI_V2F_EXT = $81B1
#GL_T2F_IUI_V3F_EXT = $81B2
#GL_T2F_IUI_N3F_V2F_EXT = $81B3
#GL_T2F_IUI_N3F_V3F_EXT = $81B4


;*********** GL_EXT_compiled_vertex_array ***********

#GL_ARRAY_ELEMENT_LOCK_FIRST_EXT = $81A8
#GL_ARRAY_ELEMENT_LOCK_COUNT_EXT = $81A9


;*********** GL_EXT_cull_vertex ***********

#GL_CULL_VERTEX_EXT = $81AA
#GL_CULL_VERTEX_EYE_POSITION_EXT = $81AB
#GL_CULL_VERTEX_OBJECT_POSITION_EXT = $81AC


;*********** GL_SGIX_ycrcb ***********

#GL_YCRCB_422_SGIX = $81BB
#GL_YCRCB_444_SGIX = $81BC


;*********** GL_SGIX_fragment_lighting ***********

#GL_FRAGMENT_LIGHTING_SGIX = $8400
#GL_FRAGMENT_COLOR_MATERIAL_SGIX = $8401
#GL_FRAGMENT_COLOR_MATERIAL_FACE_SGIX = $8402
#GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_SGIX = $8403
#GL_MAX_FRAGMENT_LIGHTS_SGIX = $8404
#GL_MAX_ACTIVE_LIGHTS_SGIX = $8405
#GL_CURRENT_RASTER_NORMAL_SGIX = $8406
#GL_LIGHT_ENV_MODE_SGIX = $8407
#GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX = $8408
#GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX = $8409
#GL_FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX = $840A
#GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX = $840B
#GL_FRAGMENT_LIGHT0_SGIX = $840C
#GL_FRAGMENT_LIGHT1_SGIX = $840D
#GL_FRAGMENT_LIGHT2_SGIX = $840E
#GL_FRAGMENT_LIGHT3_SGIX = $840F
#GL_FRAGMENT_LIGHT4_SGIX = $8410
#GL_FRAGMENT_LIGHT5_SGIX = $8411
#GL_FRAGMENT_LIGHT6_SGIX = $8412
#GL_FRAGMENT_LIGHT7_SGIX = $8413


;*********** GL_IBM_rasterpos_clip ***********

#GL_RASTER_POSITION_UNCLIPPED_IBM = $19262


;*********** GL_HP_texture_lighting ***********

#GL_TEXTURE_LIGHTING_MODE_HP = $8167
#GL_TEXTURE_POST_SPECULAR_HP = $8168
#GL_TEXTURE_PRE_SPECULAR_HP = $8169


;*********** GL_EXT_draw_range_elements ***********

#GL_MAX_ELEMENTS_VERTICES_EXT = $80E8
#GL_MAX_ELEMENTS_INDICES_EXT = $80E9


;*********** GL_WIN_phong_shading ***********

#GL_PHONG_WIN = $80EA
#GL_PHONG_HINT_WIN = $80EB


;*********** GL_WIN_specular_fog ***********

#GL_FOG_SPECULAR_TEXTURE_WIN = $80EC


;*********** GL_EXT_light_texture ***********

#GL_FRAGMENT_MATERIAL_EXT = $8349
#GL_FRAGMENT_NORMAL_EXT = $834A
#GL_FRAGMENT_COLOR_EXT = $834C
#GL_ATTENUATION_EXT = $834D
#GL_SHADOW_ATTENUATION_EXT = $834E
#GL_TEXTURE_APPLICATION_MODE_EXT = $834F
#GL_TEXTURE_LIGHT_EXT = $8350
#GL_TEXTURE_MATERIAL_FACE_EXT = $8351
#GL_TEXTURE_MATERIAL_PARAMETER_EXT = $8352


;*********** GL_SGIX_blend_alpha_minmax ***********

#GL_ALPHA_MIN_SGIX = $8320
#GL_ALPHA_MAX_SGIX = $8321


;*********** GL_SGIX_impact_pixel_texture ***********

#GL_PIXEL_TEX_GEN_Q_CEILING_SGIX = $8184
#GL_PIXEL_TEX_GEN_Q_ROUND_SGIX = $8185
#GL_PIXEL_TEX_GEN_Q_FLOOR_SGIX = $8186
#GL_PIXEL_TEX_GEN_ALPHA_REPLACE_SGIX = $8187
#GL_PIXEL_TEX_GEN_ALPHA_NO_REPLACE_SGIX = $8188
#GL_PIXEL_TEX_GEN_ALPHA_LS_SGIX = $8189
#GL_PIXEL_TEX_GEN_ALPHA_MS_SGIX = $818A


;*********** GL_EXT_bgra ***********

#GL_BGR_EXT = $80E0
#GL_BGRA_EXT = $80E1


;*********** GL_SGIX_async ***********

#GL_ASYNC_MARKER_SGIX = $8329


;*********** GL_SGIX_async_pixel ***********

#GL_ASYNC_TEX_IMAGE_SGIX = $835C
#GL_ASYNC_DRAW_PIXELS_SGIX = $835D
#GL_ASYNC_READ_PIXELS_SGIX = $835E
#GL_MAX_ASYNC_TEX_IMAGE_SGIX = $835F
#GL_MAX_ASYNC_DRAW_PIXELS_SGIX = $8360
#GL_MAX_ASYNC_READ_PIXELS_SGIX = $8361


;*********** GL_SGIX_async_histogram ***********

#GL_ASYNC_HISTOGRAM_SGIX = $832C
#GL_MAX_ASYNC_HISTOGRAM_SGIX = $832D


;*********** GL_INTEL_texture_scissor ***********


;*********** GL_INTEL_parallel_arrays ***********

#GL_PARALLEL_ARRAYS_INTEL = $83F4
#GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL = $83F5
#GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL = $83F6
#GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL = $83F7
#GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL = $83F8


;*********** GL_HP_occlusion_test ***********

#GL_OCCLUSION_TEST_HP = $8165
#GL_OCCLUSION_TEST_RESULT_HP = $8166


;*********** GL_EXT_pixel_transform ***********

#GL_PIXEL_TRANSFORM_2D_EXT = $8330
#GL_PIXEL_MAG_FILTER_EXT = $8331
#GL_PIXEL_MIN_FILTER_EXT = $8332
#GL_PIXEL_CUBIC_WEIGHT_EXT = $8333
#GL_CUBIC_EXT = $8334
#GL_AVERAGE_EXT = $8335
#GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT = $8336
#GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT = $8337
#GL_PIXEL_TRANSFORM_2D_MATRIX_EXT = $8338


;*********** GL_EXT_pixel_transform_color_table ***********


;*********** GL_EXT_shared_texture_palette ***********

#GL_SHARED_TEXTURE_PALETTE_EXT = $81FB


;*********** GL_EXT_separate_specular_color ***********

#GL_LIGHT_MODEL_COLOR_CONTROL_EXT = $81F8
#GL_SINGLE_COLOR_EXT = $81F9
#GL_SEPARATE_SPECULAR_COLOR_EXT = $81FA


;*********** GL_EXT_secondary_color ***********

#GL_COLOR_SUM_EXT = $8458
#GL_CURRENT_SECONDARY_COLOR_EXT = $8459
#GL_SECONDARY_COLOR_ARRAY_SIZE_EXT = $845A
#GL_SECONDARY_COLOR_ARRAY_TYPE_EXT = $845B
#GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT = $845C
#GL_SECONDARY_COLOR_ARRAY_POINTER_EXT = $845D
#GL_SECONDARY_COLOR_ARRAY_EXT = $845E


;*********** GL_EXT_texture_perturb_normal ***********

#GL_PERTURB_EXT = $85AE
#GL_TEXTURE_NORMAL_EXT = $85AF


;*********** GL_EXT_multi_draw_arrays ***********


;*********** GL_EXT_fog_coord ***********

#GL_FOG_COORDINATE_SOURCE_EXT = $8450
#GL_FOG_COORDINATE_EXT = $8451
#GL_FRAGMENT_DEPTH_EXT = $8452
#GL_CURRENT_FOG_COORDINATE_EXT = $8453
#GL_FOG_COORDINATE_ARRAY_TYPE_EXT = $8454
#GL_FOG_COORDINATE_ARRAY_STRIDE_EXT = $8455
#GL_FOG_COORDINATE_ARRAY_POINTER_EXT = $8456
#GL_FOG_COORDINATE_ARRAY_EXT = $8457


;*********** GL_REND_screen_coordinates ***********

#GL_SCREEN_COORDINATES_REND = $8490
#GL_INVERTED_SCREEN_W_REND = $8491


;*********** GL_EXT_coordinate_frame ***********

#GL_TANGENT_ARRAY_EXT = $8439
#GL_BINORMAL_ARRAY_EXT = $843A
#GL_CURRENT_TANGENT_EXT = $843B
#GL_CURRENT_BINORMAL_EXT = $843C
#GL_TANGENT_ARRAY_TYPE_EXT = $843E
#GL_TANGENT_ARRAY_STRIDE_EXT = $843F
#GL_BINORMAL_ARRAY_TYPE_EXT = $8440
#GL_BINORMAL_ARRAY_STRIDE_EXT = $8441
#GL_TANGENT_ARRAY_POINTER_EXT = $8442
#GL_BINORMAL_ARRAY_POINTER_EXT = $8443
#GL_MAP1_TANGENT_EXT = $8444
#GL_MAP2_TANGENT_EXT = $8445
#GL_MAP1_BINORMAL_EXT = $8446
#GL_MAP2_BINORMAL_EXT = $8447


;*********** GL_EXT_texture_env_combine ***********

#GL_COMBINE_EXT = $8570
#GL_COMBINE_RGB_EXT = $8571
#GL_COMBINE_ALPHA_EXT = $8572
#GL_RGB_SCALE_EXT = $8573
#GL_ADD_SIGNED_EXT = $8574
#GL_INTERPOLATE_EXT = $8575
#GL_CONSTANT_EXT = $8576
#GL_PRIMARY_COLOR_EXT = $8577
#GL_PREVIOUS_EXT = $8578
#GL_SOURCE0_RGB_EXT = $8580
#GL_SOURCE1_RGB_EXT = $8581
#GL_SOURCE2_RGB_EXT = $8582
#GL_SOURCE0_ALPHA_EXT = $8588
#GL_SOURCE1_ALPHA_EXT = $8589
#GL_SOURCE2_ALPHA_EXT = $858A
#GL_OPERAND0_RGB_EXT = $8590
#GL_OPERAND1_RGB_EXT = $8591
#GL_OPERAND2_RGB_EXT = $8592
#GL_OPERAND0_ALPHA_EXT = $8598
#GL_OPERAND1_ALPHA_EXT = $8599
#GL_OPERAND2_ALPHA_EXT = $859A


;*********** GL_APPLE_specular_vector ***********

#GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE = $85B0


;*********** GL_APPLE_transform_hint ***********

#GL_TRANSFORM_HINT_APPLE = $85B1


;*********** GL_SGIX_fog_scale ***********

#GL_FOG_SCALE_SGIX = $81FC
#GL_FOG_SCALE_VALUE_SGIX = $81FD


;*********** GL_SUNX_constant_data ***********

#GL_UNPACK_CONSTANT_DATA_SUNX = $81D5
#GL_TEXTURE_CONSTANT_DATA_SUNX = $81D6


;*********** GL_SUN_global_alpha ***********

#GL_GLOBAL_ALPHA_SUN = $81D9
#GL_GLOBAL_ALPHA_FACTOR_SUN = $81DA


;*********** GL_SUN_triangle_list ***********

#GL_RESTART_SUN = $0001
#GL_REPLACE_MIDDLE_SUN = $0002
#GL_REPLACE_OLDEST_SUN = $0003
#GL_TRIANGLE_LIST_SUN = $81D7
#GL_REPLACEMENT_CODE_SUN = $81D8
#GL_REPLACEMENT_CODE_ARRAY_SUN = $85C0
#GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN = $85C1
#GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN = $85C2
#GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN = $85C3
#GL_R1UI_V3F_SUN = $85C4
#GL_R1UI_C4UB_V3F_SUN = $85C5
#GL_R1UI_C3F_V3F_SUN = $85C6
#GL_R1UI_N3F_V3F_SUN = $85C7
#GL_R1UI_C4F_N3F_V3F_SUN = $85C8
#GL_R1UI_T2F_V3F_SUN = $85C9
#GL_R1UI_T2F_N3F_V3F_SUN = $85CA
#GL_R1UI_T2F_C4F_N3F_V3F_SUN = $85CB


;*********** GL_SUN_vertex ***********


;*********** GL_EXT_blend_func_separate ***********

#GL_BLEND_DST_RGB_EXT = $80C8
#GL_BLEND_SRC_RGB_EXT = $80C9
#GL_BLEND_DST_ALPHA_EXT = $80CA
#GL_BLEND_SRC_ALPHA_EXT = $80CB


;*********** GL_INGR_color_clamp ***********

#GL_RED_MIN_CLAMP_INGR = $8560
#GL_GREEN_MIN_CLAMP_INGR = $8561
#GL_BLUE_MIN_CLAMP_INGR = $8562
#GL_ALPHA_MIN_CLAMP_INGR = $8563
#GL_RED_MAX_CLAMP_INGR = $8564
#GL_GREEN_MAX_CLAMP_INGR = $8565
#GL_BLUE_MAX_CLAMP_INGR = $8566
#GL_ALPHA_MAX_CLAMP_INGR = $8567


;*********** GL_INGR_interlace_read ***********

#GL_INTERLACE_READ_INGR = $8568


;*********** GL_EXT_stencil_wrap ***********

#GL_INCR_WRAP_EXT = $8507
#GL_DECR_WRAP_EXT = $8508


;*********** GL_EXT_422_pixels ***********

#GL_422_EXT = $80CC
#GL_422_REV_EXT = $80CD
#GL_422_AVERAGE_EXT = $80CE
#GL_422_REV_AVERAGE_EXT = $80CF


;*********** GL_NV_texgen_reflection ***********

#GL_NORMAL_MAP_NV = $8511
#GL_REFLECTION_MAP_NV = $8512


;*********** GL_EXT_texture_cube_map ***********

#GL_NORMAL_MAP_EXT = $8511
#GL_REFLECTION_MAP_EXT = $8512
#GL_TEXTURE_CUBE_MAP_EXT = $8513
#GL_TEXTURE_BINDING_CUBE_MAP_EXT = $8514
#GL_TEXTURE_CUBE_MAP_POSITIVE_X_EXT = $8515
#GL_TEXTURE_CUBE_MAP_NEGATIVE_X_EXT = $8516
#GL_TEXTURE_CUBE_MAP_POSITIVE_Y_EXT = $8517
#GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_EXT = $8518
#GL_TEXTURE_CUBE_MAP_POSITIVE_Z_EXT = $8519
#GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_EXT = $851A
#GL_PROXY_TEXTURE_CUBE_MAP_EXT = $851B
#GL_MAX_CUBE_MAP_TEXTURE_SIZE_EXT = $851C


;*********** GL_SUN_convolution_border_modes ***********

#GL_WRAP_BORDER_SUN = $81D4


;*********** GL_EXT_texture_env_add ***********


;*********** GL_EXT_texture_lod_bias ***********

#GL_MAX_TEXTURE_LOD_BIAS_EXT = $84FD
#GL_TEXTURE_FILTER_CONTROL_EXT = $8500
#GL_TEXTURE_LOD_BIAS_EXT = $8501


;*********** GL_EXT_texture_filter_anisotropic ***********

#GL_TEXTURE_MAX_ANISOTROPY_EXT = $84FE
#GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT = $84FF


;*********** GL_EXT_vertex_weighting ***********

#GL_MODELVIEW0_STACK_DEPTH_EXT = #GL_MODELVIEW_STACK_DEPTH
#GL_MODELVIEW1_STACK_DEPTH_EXT = $8502
#GL_MODELVIEW0_MATRIX_EXT = #GL_MODELVIEW_MATRIX
#GL_MODELVIEW1_MATRIX_EXT = $8506
#GL_VERTEX_WEIGHTING_EXT = $8509
#GL_MODELVIEW0_EXT = #GL_MODELVIEW
#GL_MODELVIEW1_EXT = $850A
#GL_CURRENT_VERTEX_WEIGHT_EXT = $850B
#GL_VERTEX_WEIGHT_ARRAY_EXT = $850C
#GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT = $850D
#GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT = $850E
#GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT = $850F
#GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT = $8510


;*********** GL_NV_light_max_exponent ***********

#GL_MAX_SHININESS_NV = $8504
#GL_MAX_SPOT_EXPONENT_NV = $8505


;*********** GL_NV_vertex_array_range ***********

#GL_VERTEX_ARRAY_RANGE_NV = $851D
#GL_VERTEX_ARRAY_RANGE_LENGTH_NV = $851E
#GL_VERTEX_ARRAY_RANGE_VALID_NV = $851F
#GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV = $8520
#GL_VERTEX_ARRAY_RANGE_POINTER_NV = $8521


;*********** GL_NV_register_combiners ***********

#GL_REGISTER_COMBINERS_NV = $8522
#GL_VARIABLE_A_NV = $8523
#GL_VARIABLE_B_NV = $8524
#GL_VARIABLE_C_NV = $8525
#GL_VARIABLE_D_NV = $8526
#GL_VARIABLE_E_NV = $8527
#GL_VARIABLE_F_NV = $8528
#GL_VARIABLE_G_NV = $8529
#GL_CONSTANT_COLOR0_NV = $852A
#GL_CONSTANT_COLOR1_NV = $852B
#GL_PRIMARY_COLOR_NV = $852C
#GL_SECONDARY_COLOR_NV = $852D
#GL_SPARE0_NV = $852E
#GL_SPARE1_NV = $852F
#GL_DISCARD_NV = $8530
#GL_E_TIMES_F_NV = $8531
#GL_SPARE0_PLUS_SECONDARY_COLOR_NV = $8532
#GL_UNSIGNED_IDENTITY_NV = $8536
#GL_UNSIGNED_INVERT_NV = $8537
#GL_EXPAND_NORMAL_NV = $8538
#GL_EXPAND_NEGATE_NV = $8539
#GL_HALF_BIAS_NORMAL_NV = $853A
#GL_HALF_BIAS_NEGATE_NV = $853B
#GL_SIGNED_IDENTITY_NV = $853C
#GL_SIGNED_NEGATE_NV = $853D
#GL_SCALE_BY_TWO_NV = $853E
#GL_SCALE_BY_FOUR_NV = $853F
#GL_SCALE_BY_ONE_HALF_NV = $8540
#GL_BIAS_BY_NEGATIVE_ONE_HALF_NV = $8541
#GL_COMBINER_INPUT_NV = $8542
#GL_COMBINER_MAPPING_NV = $8543
#GL_COMBINER_COMPONENT_USAGE_NV = $8544
#GL_COMBINER_AB_DOT_PRODUCT_NV = $8545
#GL_COMBINER_CD_DOT_PRODUCT_NV = $8546
#GL_COMBINER_MUX_SUM_NV = $8547
#GL_COMBINER_SCALE_NV = $8548
#GL_COMBINER_BIAS_NV = $8549
#GL_COMBINER_AB_OUTPUT_NV = $854A
#GL_COMBINER_CD_OUTPUT_NV = $854B
#GL_COMBINER_SUM_OUTPUT_NV = $854C
#GL_MAX_GENERAL_COMBINERS_NV = $854D
#GL_NUM_GENERAL_COMBINERS_NV = $854E
#GL_COLOR_SUM_CLAMP_NV = $854F
#GL_COMBINER0_NV = $8550
#GL_COMBINER1_NV = $8551
#GL_COMBINER2_NV = $8552
#GL_COMBINER3_NV = $8553
#GL_COMBINER4_NV = $8554
#GL_COMBINER5_NV = $8555
#GL_COMBINER6_NV = $8556
#GL_COMBINER7_NV = $8557


;*********** GL_NV_fog_distance ***********

#GL_FOG_DISTANCE_MODE_NV = $855A
#GL_EYE_RADIAL_NV = $855B
#GL_EYE_PLANE_ABSOLUTE_NV = $855C


;*********** GL_NV_texgen_emboss ***********

#GL_EMBOSS_LIGHT_NV = $855D
#GL_EMBOSS_CONSTANT_NV = $855E
#GL_EMBOSS_MAP_NV = $855F


;*********** GL_NV_blend_square ***********

#GL_COMBINE4_NV = $8503
#GL_SOURCE3_RGB_NV = $8583
#GL_SOURCE3_ALPHA_NV = $858B
#GL_OPERAND3_RGB_NV = $8593
#GL_OPERAND3_ALPHA_NV = $859B


;*********** GL_MESA_resize_buffers ***********


;*********** GL_MESA_window_pos ***********


;*********** GL_EXT_texture_compression_s3tc ***********

#GL_COMPRESSED_RGB_S3TC_DXT1_EXT = $83F0
#GL_COMPRESSED_RGBA_S3TC_DXT1_EXT = $83F1
#GL_COMPRESSED_RGBA_S3TC_DXT3_EXT = $83F2
#GL_COMPRESSED_RGBA_S3TC_DXT5_EXT = $83F3


;*********** GL_IBM_cull_vertex ***********

#GL_CULL_VERTEX_IBM = 103050


;*********** GL_IBM_multimode_draw_arrays ***********


;*********** GL_IBM_vertex_array_lists ***********

#GL_VERTEX_ARRAY_LIST_IBM = 103070
#GL_NORMAL_ARRAY_LIST_IBM = 103071
#GL_COLOR_ARRAY_LIST_IBM = 103072
#GL_INDEX_ARRAY_LIST_IBM = 103073
#GL_TEXTURE_COORD_ARRAY_LIST_IBM = 103074
#GL_EDGE_FLAG_ARRAY_LIST_IBM = 103075
#GL_FOG_COORDINATE_ARRAY_LIST_IBM = 103076
#GL_SECONDARY_COLOR_ARRAY_LIST_IBM = 103077
#GL_VERTEX_ARRAY_LIST_STRIDE_IBM = 103080
#GL_NORMAL_ARRAY_LIST_STRIDE_IBM = 103081
#GL_COLOR_ARRAY_LIST_STRIDE_IBM = 103082
#GL_INDEX_ARRAY_LIST_STRIDE_IBM = 103083
#GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM = 103084
#GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM = 103085
#GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM = 103086
#GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM = 103087


;*********** GL_SGIX_subsample ***********

#GL_PACK_SUBSAMPLE_RATE_SGIX = $85A0
#GL_UNPACK_SUBSAMPLE_RATE_SGIX = $85A1
#GL_PIXEL_SUBSAMPLE_4444_SGIX = $85A2
#GL_PIXEL_SUBSAMPLE_2424_SGIX = $85A3
#GL_PIXEL_SUBSAMPLE_4242_SGIX = $85A4


;*********** GL_SGIX_ycrcb_subsample ***********


;*********** GL_SGIX_ycrcba ***********

#GL_YCRCB_SGIX = $8318
#GL_YCRCBA_SGIX = $8319


;*********** GL_SGI_depth_pass_instrument ***********

#GL_DEPTH_PASS_INSTRUMENT_SGIX = $8310
#GL_DEPTH_PASS_INSTRUMENT_COUNTERS_SGIX = $8311
#GL_DEPTH_PASS_INSTRUMENT_MAX_SGIX = $8312


;*********** GL_3DFX_texture_compression_FXT1 ***********

#GL_COMPRESSED_RGB_FXT1_3DFX = $86B0
#GL_COMPRESSED_RGBA_FXT1_3DFX = $86B1


;*********** GL_3DFX_multisample ***********

#GL_MULTISAMPLE_3DFX = $86B2
#GL_SAMPLE_BUFFERS_3DFX = $86B3
#GL_SAMPLES_3DFX = $86B4
#GL_MULTISAMPLE_BIT_3DFX = $20000000


;*********** GL_3DFX_tbuffer ***********


;*********** GL_EXT_multisample ***********

#GL_MULTISAMPLE_EXT = $809D
#GL_SAMPLE_ALPHA_TO_MASK_EXT = $809E
#GL_SAMPLE_ALPHA_TO_ONE_EXT = $809F
#GL_SAMPLE_MASK_EXT = $80A0
#GL_1PASS_EXT = $80A1
#GL_2PASS_0_EXT = $80A2
#GL_2PASS_1_EXT = $80A3
#GL_4PASS_0_EXT = $80A4
#GL_4PASS_1_EXT = $80A5
#GL_4PASS_2_EXT = $80A6
#GL_4PASS_3_EXT = $80A7
#GL_SAMPLE_BUFFERS_EXT = $80A8
#GL_SAMPLES_EXT = $80A9
#GL_SAMPLE_MASK_VALUE_EXT = $80AA
#GL_SAMPLE_MASK_INVERT_EXT = $80AB
#GL_SAMPLE_PATTERN_EXT = $80AC
#GL_MULTISAMPLE_BIT_EXT = $20000000


;*********** GL_SGIX_vertex_preclip ***********

#GL_VERTEX_PRECLIP_SGIX = $83EE
#GL_VERTEX_PRECLIP_HINT_SGIX = $83EF


;*********** GL_SGIX_convolution_accuracy ***********

#GL_CONVOLUTION_HINT_SGIX = $8316


;*********** GL_SGIX_resample ***********

#GL_PACK_RESAMPLE_SGIX = $842C
#GL_UNPACK_RESAMPLE_SGIX = $842D
#GL_RESAMPLE_REPLICATE_SGIX = $842E
#GL_RESAMPLE_ZERO_FILL_SGIX = $842F
#GL_RESAMPLE_DECIMATE_SGIX = $8430


;*********** GL_SGIS_point_line_texgen ***********

#GL_EYE_DISTANCE_TO_POINT_SGIS = $81F0
#GL_OBJECT_DISTANCE_TO_POINT_SGIS = $81F1
#GL_EYE_DISTANCE_TO_LINE_SGIS = $81F2
#GL_OBJECT_DISTANCE_TO_LINE_SGIS = $81F3
#GL_EYE_POINT_SGIS = $81F4
#GL_OBJECT_POINT_SGIS = $81F5
#GL_EYE_LINE_SGIS = $81F6
#GL_OBJECT_LINE_SGIS = $81F7


;*********** GL_SGIS_texture_color_mask ***********

#GL_TEXTURE_COLOR_WRITEMASK_SGIS = $81EF


;*********** GL_EXT_texture_env_dot3 ***********

#GL_DOT3_RGB_EXT = $8740
#GL_DOT3_RGBA_EXT = $8741


;*********** GL_ATI_texture_mirror_once ***********

#GL_MIRROR_CLAMP_ATI = $8742
#GL_MIRROR_CLAMP_TO_EDGE_ATI = $8743


;*********** GL_NV_fence ***********

#GL_ALL_COMPLETED_NV = $84F2
#GL_FENCE_STATUS_NV = $84F3
#GL_FENCE_CONDITION_NV = $84F4


;*********** GL_IBM_texture_mirrored_repeat ***********

#GL_MIRRORED_REPEAT_IBM = $8370


;*********** GL_NV_evaluators ***********

#GL_EVAL_2D_NV = $86C0
#GL_EVAL_TRIANGULAR_2D_NV = $86C1
#GL_MAP_TESSELLATION_NV = $86C2
#GL_MAP_ATTRIB_U_ORDER_NV = $86C3
#GL_MAP_ATTRIB_V_ORDER_NV = $86C4
#GL_EVAL_FRACTIONAL_TESSELLATION_NV = $86C5
#GL_EVAL_VERTEX_ATTRIB0_NV = $86C6
#GL_EVAL_VERTEX_ATTRIB1_NV = $86C7
#GL_EVAL_VERTEX_ATTRIB2_NV = $86C8
#GL_EVAL_VERTEX_ATTRIB3_NV = $86C9
#GL_EVAL_VERTEX_ATTRIB4_NV = $86CA
#GL_EVAL_VERTEX_ATTRIB5_NV = $86CB
#GL_EVAL_VERTEX_ATTRIB6_NV = $86CC
#GL_EVAL_VERTEX_ATTRIB7_NV = $86CD
#GL_EVAL_VERTEX_ATTRIB8_NV = $86CE
#GL_EVAL_VERTEX_ATTRIB9_NV = $86CF
#GL_EVAL_VERTEX_ATTRIB10_NV = $86D0
#GL_EVAL_VERTEX_ATTRIB11_NV = $86D1
#GL_EVAL_VERTEX_ATTRIB12_NV = $86D2
#GL_EVAL_VERTEX_ATTRIB13_NV = $86D3
#GL_EVAL_VERTEX_ATTRIB14_NV = $86D4
#GL_EVAL_VERTEX_ATTRIB15_NV = $86D5
#GL_MAX_MAP_TESSELLATION_NV = $86D6
#GL_MAX_RATIONAL_EVAL_ORDER_NV = $86D7


;*********** GL_NV_packed_depth_stencil ***********

#GL_DEPTH_STENCIL_NV = $84F9
#GL_UNSIGNED_INT_24_8_NV = $84FA


;*********** GL_NV_register_combiners2 ***********

#GL_PER_STAGE_CONSTANTS_NV = $8535


;*********** GL_NV_texture_compression_vtc ***********


;*********** GL_NV_texture_rectangle ***********

#GL_TEXTURE_RECTANGLE_NV = $84F5
#GL_TEXTURE_BINDING_RECTANGLE_NV = $84F6
#GL_PROXY_TEXTURE_RECTANGLE_NV = $84F7
#GL_MAX_RECTANGLE_TEXTURE_SIZE_NV = $84F8


;*********** GL_NV_texture_shader ***********

#GL_OFFSET_TEXTURE_RECTANGLE_NV = $864C
#GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV = $864D
#GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV = $864E
#GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV = $86D9
#GL_UNSIGNED_INT_S8_S8_8_8_NV = $86DA
#GL_UNSIGNED_INT_8_8_S8_S8_REV_NV = $86DB
#GL_DSDT_MAG_INTENSITY_NV = $86DC
#GL_SHADER_CONSISTENT_NV = $86DD
#GL_TEXTURE_SHADER_NV = $86DE
#GL_SHADER_OPERATION_NV = $86DF
#GL_CULL_MODES_NV = $86E0
#GL_OFFSET_TEXTURE_MATRIX_NV = $86E1
#GL_OFFSET_TEXTURE_SCALE_NV = $86E2
#GL_OFFSET_TEXTURE_BIAS_NV = $86E3
#GL_OFFSET_TEXTURE_2D_MATRIX_NV = #GL_OFFSET_TEXTURE_MATRIX_NV
#GL_OFFSET_TEXTURE_2D_SCALE_NV = #GL_OFFSET_TEXTURE_SCALE_NV
#GL_OFFSET_TEXTURE_2D_BIAS_NV = #GL_OFFSET_TEXTURE_BIAS_NV
#GL_PREVIOUS_TEXTURE_INPUT_NV = $86E4
#GL_CONST_EYE_NV = $86E5
#GL_PASS_THROUGH_NV = $86E6
#GL_CULL_FRAGMENT_NV = $86E7
#GL_OFFSET_TEXTURE_2D_NV = $86E8
#GL_DEPENDENT_AR_TEXTURE_2D_NV = $86E9
#GL_DEPENDENT_GB_TEXTURE_2D_NV = $86EA
#GL_DOT_PRODUCT_NV = $86EC
#GL_DOT_PRODUCT_DEPTH_REPLACE_NV = $86ED
#GL_DOT_PRODUCT_TEXTURE_2D_NV = $86EE
#GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV = $86F0
#GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV = $86F1
#GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV = $86F2
#GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV = $86F3
#GL_HILO_NV = $86F4
#GL_DSDT_NV = $86F5
#GL_DSDT_MAG_NV = $86F6
#GL_DSDT_MAG_VIB_NV = $86F7
#GL_HILO16_NV = $86F8
#GL_SIGNED_HILO_NV = $86F9
#GL_SIGNED_HILO16_NV = $86FA
#GL_SIGNED_RGBA_NV = $86FB
#GL_SIGNED_RGBA8_NV = $86FC
#GL_SIGNED_RGB_NV = $86FE
#GL_SIGNED_RGB8_NV = $86FF
#GL_SIGNED_LUMINANCE_NV = $8701
; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 147
; FirstLine = 138
; Folding = -